MATHLIB: MATHLIB User's Manual (c66x)

  • Main Page
  • Files
  • Related Pages

MATHLIB User's Manual (c66x)

Release 3.1.2.1

Page Contents

  1. Introduction to MATHLIB
  2. Getting Started
  3. MATHLIB Usage Examples
  4. Integration
  5. MISRA Compliance

Introduction to MATHLIB

The Texas Instruments MATHLIB library is an optimized floating-point math function library for C programmers using TI floating point devices. These routines are typically used in computationally intensive real-time applications where optimal execution speed is critical. By using these routines instead of the routines found in the existing run-time-support libraries, you can achieve execution speeds considerably faster without rewriting existing code. The MATHLIB library includes all floating-point math routines currently provided in existing run-time-support libraries. These new functions can be called with the current run-time-support library names or the new names included in the MATHLIB library.

Features and Benefits

The TI c66x MATHLIB contains commonly used floating point math routines, as well as source code that allows you to modify functions to match your specific needs.

  • ANSI C source code models
  • C-callable routines fully compatible with the TI C6000 compiler
  • Host library to enable PC based development and testing
  • CCS v5 projects to rebuild library or individual routines unit test.
  • Benchmarks (cycles)
  • Tested against reference C model
  • Unit-test for each routines.
  • MISRA compliant c66x implementation

Software Routines

The rich set of software routines included in MATHLIB are organized into two categories:

  1. Single precision floating point
  2. Double precision floating point

For detailed descriptions of each MATHLIB function see the MATHLIB Function Reference.

Getting Started

Unless otherwise specified, the MATHLIB package installs under C:\ti\ in directory mathlib_c66x_3_1_2_1. The directory structure of the installed package will look similar to that displayed below in Figure 1, though the release notes will match the installation version.

Figure 1. c66x MATHLIB Directory Structure

The files that comprise the MATHLIB installation can be categorized into the following five categories:

  1. Documentation
  2. Component Repository
  3. Kernel Source
  4. Eclipse Support
  5. Internal Meta Data

Documentation

Installation places all MATHLIB documentation in a Docs directory in the MATHLIB root. The following documentation comes with the delivery:

  • mathlib_c66x_3_1_2_1_release_notes.html
  • docs/MATHLIB_Users_Manual.chm
  • docs/MATHLIB_Users_Manual.html
  • docs/MATHLIB_Software_Manifest.html
  • docs/MATHLIB_c66x_MisraC_Policy.xlsx

Note:
Files and paths are relative to the MATHLIB root installation directory

Component Repository

The installation creates a Components directory in the MATHLIB root folder. This directory serves as a repository for all packages included in the MATHLIB installation. Each package in this repository is compressed.

Kernel Source

The installation also creates a Packages directory in the MATHLIB root folder. This directory holds all kernels contained within the MATHLIB library. This directory follows the standard TI directory structure. As an example, the files that comprise the MATHLIB kernel atandp will be located, relative to the MATHLIB root installation directory, at packages/ti/mathlib/src/atandp/.

Each Kernel is delivered with a pre-compiled CCSv5 project that illustrates the kernel API and performs several validation tests. Each project provides an estimate of kernel cycle and program memory requirements.

Eclipse Support

The Eclipse directory contains all files required for MATHLIB to be recognized by Eclipse (CCS Version 4) as a plug-in. This is a support directory and can be safely ignored.

Internal Meta Data

The MATHLIB installation creates a Package directory. This directory contains meta information required by the TI packaging tools. This is a support directory and can be safely ignored.

MATHLIB Usage Examples

The examples folder will provide example applications that employ MATHLIB to achieve higher-level mathematical functions.

Integration

Since MATHLIB is a collection of individual kernels, any combination of the kernels that comprise MATHLIB may be integrated into a system individually. Integration, for single or multiple kernels, requires four simple steps:

  1. Compile MATHLIB for c66x (optional)
  2. Add API calls within system code
  3. Compile system code
  4. Link MATHLIB

The sections that follow provide details regarding the above four steps.

Compile MATHLIB for c66x (optional)

On installation, the MATHLIB libraries are built and ready to link. Therefore, this step is only required when the original kernel source code has been refined or contributions have been added. See MATHLIB Build Process for details regarding re-building MATHLIB .

Add MATHLIB API Calls

Add calls to MATHLIB kernels within the system source code as necessary. Any system source file that contains calls to an MATHLIB kernel will require that the MATHLIB header file mathlib.h is included. See the MATHLIB Function Reference for details on individual kernel APIs.

System Compilation

To re-compile the system code, the path to the packages directory will need to be added to the compiler's include path search list. This path will depend on the MATHLIB root installation directory. This allows the main MATHLIB header file to be moved from within the installation directory and still recognize the individual kernel headers.

Linking MATHLIB

The path to the MATHLIB libraries must be provided to the linker via:
-l <MATHLIB_INSTALL_DIR>/packages/ti/mathlib/lib/mathlib.lib

MISRA Compliance

The c66x release complies with MISRA standards as detailed in docs/MATHLIB_c66x_MisraC_Policy.xlsx
Copyright 2016, Texas Instruments Incorporated


MATHLIB: File Index

  • Related Pages

MATHLIB File List

Here is a list of all files with brief descriptions:
doxygen.h [code]


MATHLIB: doxygen.h File Reference

  • Related Pages

doxygen.h File Reference

Go to the source code of this file.


MATHLIB: Page Index

  • Related Pages

MATHLIB Related Pages

Here is a list of all related documentation pages:
  • MATHLIB Build Process


MATHLIB: MATHLIB Build Process

  • Related Pages

MATHLIB Build Process

Page Contents

  • CCS Build Process
  • Makefile Build Process

CCS Build Process

To build any specific kernel for test, benchmarking or to pull in source code changes - just locate the associated project file, load it and run within the CCS environment. The sections below provide all necessary details to get started.

  1. Required Tools
  2. Re-build MATHLIB Library
  3. Build Individual MATHLIB Kernel

The sections that follow detail each item above.

Required Tools

The following tools are required to build MATHLIB using CCS (links provided). Download and install all tools to a single local (C:) directory, for example, c:\ti.

  • Code Generation Tools
  • Code Composer Studio @ *
    Note:
    A "My.TI" account is required for download and can be registered at my.ti.com

Procedure for MATHLIB

The MATHLIB supports CCSV5.2 & above. The MATHLIB may be built following the procedure below:

  1. Open the CCSv5 application
  2. Import the MATHLIB makefile based project
    • Open the Project menu
    • Select Import Existing Eclipse Project
    • Import from the MATHLIB packages/ti/mathlib/lib directory
  3. Build the project
    • Select Rebuild Active Project from Project menu

Procedure for Individual Kernels

Any individual kernel within MATHLIB may be tested via CCS following the procedure below:

  1. Open the CCSv5 application
  2. Import the MATHLIB kernel unit test project
    • Open the Project menu
    • Select Import Existing Eclipse Project
    • Import from the MATHLIB /packages/ti/mathlib/src/<kernel> directory
  3. Use the Debug profile for debugging kernel unit tests
    • Open the Project menu
    • Select Active Build Configuration and set to Debug/Release
  4. Build and test the project
    • Select Rebuild Active Project from Project menu
    • Test using the proper target configuration

Makefile Build Process

A GNU makefile is also provided for rebuilding MATHLIB via GNU make utility. This file is located in the packages/ti/mathlib folder. The makefile provides a list of all tools, common build utilities and build rules required for generating MATHLIB binary.

Required Tools

The following tools are required to build MATHLIB using GNU make (links provided). Download and install all tools to a single local (C:) directory, for example, c:\ti.

  • Code Generation Tools
  • GNU Make (External Tool)

Note:
A "My.TI" account is required for download and can be registered at my.ti.com

Procedure for MATHLIB

The MATHLIB may be built using GNU make following the procedure below:

  1. Add cygwin/bin to the environment PATH (Windows only)
  2. Correct the C6x_GEN_INSTALL_DIR path in the makefile (two options)
    • Directly modify the makefile OR
    • Set the C6x_GEN_INSTALL_DIR in the environment with the proper tools path
  3. Build the library
    • Enter make all to build the library
    • Enter make clean to clean all generated object files and artifacts


MATHLIB: doxygen.h Source File

  • Related Pages

doxygen.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036


MATHLIB: Graph Legend

  • Related Pages

Graph Legend

This page explains how to interpret the graphs that are generated by doxygen.

Consider the following example:

/*! Invisible class because of truncation */
class Invisible { };

/*! Truncated class, inheritance relation is hidden */
class Truncated : public Invisible { };

/* Class not documented with doxygen comments */
class Undocumented { };

/*! Class that is inherited using public inheritance */
class PublicBase : public Truncated { };

/*! A template class */
template<class T> class Templ { };

/*! Class that is inherited using protected inheritance */
class ProtectedBase { };

/*! Class that is inherited using private inheritance */
class PrivateBase { };

/*! Class that is used by the Inherited class */
class Used { };

/*! Super class that inherits a number of other classes */
class Inherited : public PublicBase,
                  protected ProtectedBase,
                  private PrivateBase,
                  public Undocumented
                  public Templ<int>
{
  private:
    Used *m_usedClass;
};
If the MAX_DOT_GRAPH_HEIGHT tag in the configuration file is set to 240 this will result in the following graph:

The boxes in the above graph have the following meaning:

  • A filled black box represents the struct or class for which the graph is generated.
  • A box with a black border denotes a documented struct or class.
  • A box with a grey border denotes an undocumented struct or class.
  • A box with a red border denotes a documented struct or class forwhich not all inheritance/containment relations are shown. A graph is truncated if it does not fit within the specified boundaries.
The arrows have the following meaning:
  • A dark blue arrow is used to visualize a public inheritance relation between two classes.
  • A dark green arrow is used for protected inheritance.
  • A dark red arrow is used for private inheritance.
  • A purple dashed arrow is used if a class is contained or used by another class. The arrow is labeled with the variable(s) through which the pointed class or struct is accessible.
  • A yellow dashed arrow denotes a relation between a template instance and the template class it was instantiated from. The arrow is labeled with the template parameters of the instance.


MATHLIB: acosdp.h File Reference

  • Modules
  • File List
  • Globals

acosdp.h File Reference

Go to the source code of this file.

Defines

#define | ACOSDP_H_ 1

Functions

void | acosdp_v (const double a[], double output[], int size)

Define Documentation

#define ACOSDP_H_ 1

Definition at line 42 of file acosdp.h.

Function Documentation

void acosdp_v | ( | const double | a[],
 |  | double | output[],
 |  | int | size
 | ) |  |


MATHLIB: acosdp.h Source File

  • File List
  • Globals

acosdp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* acosdp.h - Double precision floating point arc_cosine                   */
00039 /* ======================================================================= */
00040
00041 #ifndef ACOSDP_H_
00042 #define ACOSDP_H_ 1
00043
00044 #if defined (_TMS320C6600)
00045 #include <ti/mathlib/src/acosdp/c66/acosdp.h>
00046 #include <ti/mathlib/src/acosdp/c66/acosdp_i.h>
00047 #elif defined (_TMS320C6740)
00048 #include <ti/mathlib/src/acosdp/c674/acosdp.h>
00049 #include <ti/mathlib/src/acosdp/c674/acosdp_i.h>
00050 #else
00051 #error invalid target
00052 #endif
00053
00054 /* Provide prototype for vector version */
00055 void acosdp_v (const double a[], double output[], int size);
00056
00057 #endif /* ACOSDP_H_ */
00058
00059 /* ======================================================================== */
00060 /*  End of file: acosdp.h                                                   */
00061 /* ======================================================================== */


MATHLIB: acoshdp.h File Reference

acoshdp.h File Reference

Go to the source code of this file.

Defines

#define | ACOSHDP_H_ 1

Functions

void | acoshdp_v (const double a[], double output[], int size)

Define Documentation

#define ACOSHDP_H_ 1

Definition at line 42 of file acoshdp.h.

Function Documentation

void acoshdp_v | ( | const double | a[],
 |  | double | output[],
 |  | int | size
 | ) |  |


MATHLIB: acoshdp.h Source File

acoshdp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* acoshdp.h - Double precision inverse hyperbolic cosine                  */
00039 /* ======================================================================= */
00040
00041 #ifndef ACOSHDP_H_
00042 #define ACOSHDP_H_ 1
00043
00044 #if defined (_TMS320C6600)
00045 #include <ti/mathlib/src/acoshdp/c66/acoshdp.h>
00046 #include <ti/mathlib/src/acoshdp/c66/acoshdp_i.h>
00047 #elif defined (_TMS320C6740)
00048 #include <ti/mathlib/src/acoshdp/c674/acoshdp.h>
00049 #include <ti/mathlib/src/acoshdp/c674/acoshdp_i.h>
00050 #else
00051 #error invalid target
00052 #endif
00053
00054 /* Provide prototype for vector version */
00055 void acoshdp_v (const double a[], double output[], int size);
00056
00057 #endif /* ACOSHDP_H_ */
00058
00059 /* ======================================================================== */
00060 /*  End of file: acoshdp.h                                                  */
00061 /* ======================================================================== */


MATHLIB: acoshsp.h File Reference

acoshsp.h File Reference

Go to the source code of this file.

Defines

#define | ACOSHSP_H_ 1

Functions

void | acoshsp_v (const float a[], float output[], int size)

Define Documentation

#define ACOSHSP_H_ 1

Definition at line 42 of file acoshsp.h.

Function Documentation

void acoshsp_v | ( | const float | a[],
 |  | float | output[],
 |  | int | size
 | ) |  |


MATHLIB: acoshsp.h Source File

acoshsp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* acoshsp.h - Single Precision Inverse Hyperbolic Cosine                  */
00039 /* ======================================================================= */
00040
00041 #ifndef ACOSHSP_H_
00042 #define ACOSHSP_H_ 1
00043
00044 #if defined (_TMS320C6600)
00045 #include <ti/mathlib/src/acoshsp/c66/acoshsp.h>
00046 #include <ti/mathlib/src/acoshsp/c66/acoshsp_i.h>
00047 #elif defined (_TMS320C6740)
00048 #include <ti/mathlib/src/acoshsp/c674/acoshsp.h>
00049 #include <ti/mathlib/src/acoshsp/c674/acoshsp_i.h>
00050 #else
00051 #error invalid target
00052 #endif
00053
00054 /* Provide prototype for vector version */
00055 void acoshsp_v (const float a[], float output[], int size);
00056
00057 #endif /* ACOSHSP_H_ */
00058
00059 /* ======================================================================== */
00060 /*  End of file: acoshsp.h                                                  */
00061 /* ======================================================================== */


MATHLIB: acossp.h File Reference

acossp.h File Reference

Go to the source code of this file.

Defines

#define | ACOSSP_H_ 1

Functions

void | acossp_v (const float a[], float output[], int size)

Define Documentation

#define ACOSSP_H_ 1

Definition at line 42 of file acossp.h.

Function Documentation

void acossp_v | ( | const float | a[],
 |  | float | output[],
 |  | int | size
 | ) |  |


MATHLIB: acossp.h Source File

acossp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* acossp.h - Single precision floating point arc_cosine           */
00039 /* ======================================================================= */
00040
00041 #ifndef ACOSSP_H_
00042 #define ACOSSP_H_ 1
00043
00044 #if defined (_TMS320C6600)
00045 #include <ti/mathlib/src/acossp/c66/acossp.h>
00046 #include <ti/mathlib/src/acossp/c66/acossp_i.h>
00047 #elif defined (_TMS320C6740)
00048 #include <ti/mathlib/src/acossp/c674/acossp.h>
00049 #include <ti/mathlib/src/acossp/c674/acossp_i.h>
00050 #else
00051 #error invalid target
00052 #endif
00053
00054 /* Provide prototype for vector version */
00055 void acossp_v (const float a[], float output[], int size);
00056
00057 #endif /* ACOSSP_H_ */
00058
00059 /* ======================================================================== */
00060 /*  End of file: acossp.h                                                  */
00061 /* ======================================================================== */


MATHLIB: asindp.h File Reference

asindp.h File Reference

Go to the source code of this file.

Defines

#define | ASINDP_H_ 1

Functions

void | asindp_v (const double a[], double output[], int size)

Define Documentation

#define ASINDP_H_ 1

Definition at line 42 of file asindp.h.

Function Documentation

void asindp_v | ( | const double | a[],
 |  | double | output[],
 |  | int | size
 | ) |  |


MATHLIB: asindp.h Source File

asindp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* asindp.h - Double precision floating point arsine                       */
00039 /* ======================================================================= */
00040
00041 #ifndef ASINDP_H_
00042 #define ASINDP_H_ 1
00043
00044 #if defined (_TMS320C6600)
00045 #include <ti/mathlib/src/asindp/c66/asindp.h>
00046 #include <ti/mathlib/src/asindp/c66/asindp_i.h>
00047 #elif defined (_TMS320C6740)
00048 #include <ti/mathlib/src/asindp/c674/asindp.h>
00049 #include <ti/mathlib/src/asindp/c674/asindp_i.h>
00050 #else
00051 #error invalid target
00052 #endif
00053
00054 /* Provide prototype for vector version */
00055 void asindp_v (const double a[], double output[], int size);
00056
00057 #endif /* ASINDP_H_ */
00058
00059 /* ======================================================================== */
00060 /*  End of file: asindp.h                                                  */
00061 /* ======================================================================== */


MATHLIB: asinhdp.h File Reference

asinhdp.h File Reference

Go to the source code of this file.

Defines

#define | ASINHDP_H_ 1

Functions

void | asinhdp_v (const double a[], double output[], int size)

Define Documentation

#define ASINHDP_H_ 1

Definition at line 42 of file asinhdp.h.

Function Documentation

void asinhdp_v | ( | const double | a[],
 |  | double | output[],
 |  | int | size
 | ) |  |


MATHLIB: asinhdp.h Source File

asinhdp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* asinhdp.h - Double precision inverse hyperbolic sine                    */
00039 /* ======================================================================= */
00040
00041 #ifndef ASINHDP_H_
00042 #define ASINHDP_H_ 1
00043
00044 #if defined (_TMS320C6600)
00045 #include <ti/mathlib/src/asinhdp/c66/asinhdp.h>
00046 #include <ti/mathlib/src/asinhdp/c66/asinhdp_i.h>
00047 #elif defined (_TMS320C6740)
00048 #include <ti/mathlib/src/asinhdp/c674/asinhdp.h>
00049 #include <ti/mathlib/src/asinhdp/c674/asinhdp_i.h>
00050 #else
00051 #error invalid target
00052 #endif
00053
00054 /* Provide prototype for vector version */
00055 void asinhdp_v (const double a[], double output[], int size);
00056
00057 #endif /* ASINHDP_H_ */
00058
00059 /* ======================================================================== */
00060 /*  End of file: asinhdp.h                                                  */
00061 /* ======================================================================== */


MATHLIB: asinhsp.h File Reference

asinhsp.h File Reference

Go to the source code of this file.

Defines

#define | ASINHSP_H_ 1

Functions

void | asinhsp_v (const float a[], float output[], int size)

Define Documentation

#define ASINHSP_H_ 1

Definition at line 42 of file asinhsp.h.

Function Documentation

void asinhsp_v | ( | const float | a[],
 |  | float | output[],
 |  | int | size
 | ) |  |


MATHLIB: asinhsp.h Source File

asinhsp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* asinhsp.h - Single Precision Inverse Hyperbolic Sine                    */
00039 /* ======================================================================= */
00040
00041 #ifndef ASINHSP_H_
00042 #define ASINHSP_H_ 1
00043
00044 #if defined (_TMS320C6600)
00045 #include <ti/mathlib/src/asinhsp/c66/asinhsp.h>
00046 #include <ti/mathlib/src/asinhsp/c66/asinhsp_i.h>
00047 #elif defined (_TMS320C6740)
00048 #include <ti/mathlib/src/asinhsp/c674/asinhsp.h>
00049 #include <ti/mathlib/src/asinhsp/c674/asinhsp_i.h>
00050 #else
00051 #error invalid target
00052 #endif
00053
00054 /* Provide prototype for vector version */
00055 void asinhsp_v (const float a[], float output[], int size);
00056
00057 #endif /* ASINHSP_H_ */
00058
00059 /* ======================================================================== */
00060 /*  End of file: asinhsp.h                                                  */
00061 /* ======================================================================== */


MATHLIB: asinsp.h File Reference

asinsp.h File Reference

Go to the source code of this file.

Defines

#define | ASINSP_H_ 1

Functions

void | asinsp_v (const float a[], float output[], int size)

Define Documentation

#define ASINSP_H_ 1

Definition at line 42 of file asinsp.h.

Function Documentation

void asinsp_v | ( | const float | a[],
 |  | float | output[],
 |  | int | size
 | ) |  |


MATHLIB: asinsp.h Source File

asinsp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* asinsp.h - Single precision floating point arc_sine                     */
00039 /* ======================================================================= */
00040
00041 #ifndef ASINSP_H_
00042 #define ASINSP_H_ 1
00043
00044 #if defined (_TMS320C6600)
00045 #include <ti/mathlib/src/asinsp/c66/asinsp.h>
00046 #include <ti/mathlib/src/asinsp/c66/asinsp_i.h>
00047 #elif defined (_TMS320C6740)
00048 #include <ti/mathlib/src/asinsp/c674/asinsp.h>
00049 #include <ti/mathlib/src/asinsp/c674/asinsp_i.h>
00050 #else
00051 #error invalid target
00052 #endif
00053
00054 /* Provide prototype for vector version */
00055 void asinsp_v (const float a[], float output[], int size);
00056
00057 #endif /* ASINSP_H_ */
00058
00059 /* ======================================================================== */
00060 /*  End of file: asinsp.h                                                   */
00061 /* ======================================================================== */


MATHLIB: atan2dp.h File Reference

atan2dp.h File Reference

Go to the source code of this file.

Defines

#define | ATAN2DP_H_ 1

Functions

void | atan2dp_v (const double a[], const double b[], double output[], int size)

Define Documentation

#define ATAN2DP_H_ 1

Definition at line 44 of file atan2dp.h.

Function Documentation

void atan2dp_v | ( | const double | a[],
 |  | const double | b[],
 |  | double | output[],
 |  | int | size
 | ) |  |


MATHLIB: atan2dp.h Source File

atan2dp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* atan2dp.h - double precision floating point arctangent two arguments    */
00039 /*             optimized hand ASM single sample                            */
00040 /*                                                                         */
00041 /* ======================================================================= */
00042
00043 #ifndef ATAN2DP_H_
00044 #define ATAN2DP_H_ 1
00045
00046 #if defined (_TMS320C6600)
00047 #include <ti/mathlib/src/atan2dp/c66/atan2dp.h>
00048 #include <ti/mathlib/src/atan2dp/c66/atan2dp_i.h>
00049 #elif defined (_TMS320C6740)
00050 #include <ti/mathlib/src/atan2dp/c674/atan2dp.h>
00051 #include <ti/mathlib/src/atan2dp/c674/atan2dp_i.h>
00052 #else
00053 #error invalid target
00054 #endif
00055
00056 /* Provide prototype for vector version */
00057 void atan2dp_v (const double a[], const double b[], double output[], int size);
00058
00059 #endif /* ATAN2DP_H_ */
00060
00061 /* ======================================================================== */
00062 /*  End of file: atan2dp.h                                                  */
00063 /* ======================================================================== */


MATHLIB: atan2sp.h File Reference

atan2sp.h File Reference

Go to the source code of this file.

Defines

#define | ATAN2SP_H_ 1

Functions

void | atan2sp_v (const float a[], const float b[], float output[], int size)

Define Documentation

#define ATAN2SP_H_ 1

Definition at line 42 of file atan2sp.h.

Function Documentation

void atan2sp_v | ( | const float | a[],
 |  | const float | b[],
 |  | float | output[],
 |  | int | size
 | ) |  |


MATHLIB: atan2sp.h Source File

atan2sp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* atan2sp.h - single precision floating point arctangent two arguments    */
00039 /* ======================================================================= */
00040
00041 #ifndef ATAN2SP_H_
00042 #define ATAN2SP_H_ 1
00043
00044 #if defined (_TMS320C6600)
00045 #include <ti/mathlib/src/atan2sp/c66/atan2sp.h>
00046 #include <ti/mathlib/src/atan2sp/c66/atan2sp_i.h>
00047 #elif defined (_TMS320C6740)
00048 #include <ti/mathlib/src/atan2sp/c674/atan2sp.h>
00049 #include <ti/mathlib/src/atan2sp/c674/atan2sp_i.h>
00050 #else
00051 #error invalid target
00052 #endif
00053
00054 /* Provide prototype for vector version */
00055 void atan2sp_v (const float a[], const float b[], float output[], int size);
00056
00057 #endif /* ATAN2SP_H_ */
00058
00059 /* ======================================================================== */
00060 /*  End of file: atan2sp.h                                                  */
00061 /* ======================================================================== */


MATHLIB: atandp.h File Reference

atandp.h File Reference

Go to the source code of this file.

Defines

#define | ATANDP_H_ 1

Functions

void | atandp_v (const double a[], double output[], int size)

Define Documentation

#define ATANDP_H_ 1

Definition at line 43 of file atandp.h.

Function Documentation

void atandp_v | ( | const double | a[],
 |  | double | output[],
 |  | int | size
 | ) |  |


MATHLIB: atandp.h Source File

atandp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* atandp.h - double precision floating point arctangent                   */
00039 /*              optimized hand ASM single sample                           */
00040 /* ======================================================================= */
00041
00042 #ifndef ATANDP_H_
00043 #define ATANDP_H_ 1
00044
00045 #if defined (_TMS320C6600)
00046 #include <ti/mathlib/src/atandp/c66/atandp.h>
00047 #include <ti/mathlib/src/atandp/c66/atandp_i.h>
00048 #elif defined (_TMS320C6740)
00049 #include <ti/mathlib/src/atandp/c674/atandp.h>
00050 #include <ti/mathlib/src/atandp/c674/atandp_i.h>
00051 #else
00052 #error invalid target
00053 #endif
00054
00055 /* Provide prototype for vector version */
00056 void atandp_v (const double a[], double output[], int size);
00057
00058 #endif /* ATAN2DP_H_ */
00059
00060 /* ======================================================================== */
00061 /*  End of file: atandp.h                                                   */
00062 /* ======================================================================== */


MATHLIB: atanhdp.h File Reference

atanhdp.h File Reference

Go to the source code of this file.

Defines

#define | ATANHDP_H_ 1

Functions

void | atanhdp_v (const double a[], double output[], int size)

Define Documentation

#define ATANHDP_H_ 1

Definition at line 42 of file atanhdp.h.

Function Documentation

void atanhdp_v | ( | const double | a[],
 |  | double | output[],
 |  | int | size
 | ) |  |


MATHLIB: atanhdp.h Source File

atanhdp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* atanhdp.h - Double precision inverse hyperbolic tangent                 */
00039 /* ======================================================================= */
00040
00041 #ifndef ATANHDP_H_
00042 #define ATANHDP_H_ 1
00043
00044 #if defined (_TMS320C6600)
00045 #include <ti/mathlib/src/atanhdp/c66/atanhdp.h>
00046 #include <ti/mathlib/src/atanhdp/c66/atanhdp_i.h>
00047 #elif defined (_TMS320C6740)
00048 #include <ti/mathlib/src/atanhdp/c674/atanhdp.h>
00049 #include <ti/mathlib/src/atanhdp/c674/atanhdp_i.h>
00050 #else
00051 #error invalid target
00052 #endif
00053
00054 /* Provide prototype for vector version */
00055 void atanhdp_v (const double a[], double output[], int size);
00056
00057 #endif /* ATANHDP_H_ */
00058
00059 /* ======================================================================== */
00060 /*  End of file: atanhdp.h                                                  */
00061 /* ======================================================================== */


MATHLIB: atanhsp.h File Reference

atanhsp.h File Reference

Go to the source code of this file.

Defines

#define | ATANHSP_H_ 1

Functions

void | atanhsp_v (const float a[], float output[], int size)

Define Documentation

#define ATANHSP_H_ 1

Definition at line 42 of file atanhsp.h.

Function Documentation

void atanhsp_v | ( | const float | a[],
 |  | float | output[],
 |  | int | size
 | ) |  |


MATHLIB: atanhsp.h Source File

atanhsp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* atanhsp.h - Single precision inverse hyperbolic tangent                 */
00039 /* ======================================================================= */
00040
00041 #ifndef ATANHSP_H_
00042 #define ATANHSP_H_ 1
00043
00044 #if defined (_TMS320C6600)
00045 #include <ti/mathlib/src/atanhsp/c66/atanhsp.h>
00046 #include <ti/mathlib/src/atanhsp/c66/atanhsp_i.h>
00047 #elif defined (_TMS320C6740)
00048 #include <ti/mathlib/src/atanhsp/c674/atanhsp.h>
00049 #include <ti/mathlib/src/atanhsp/c674/atanhsp_i.h>
00050 #else
00051 #error invalid target
00052 #endif
00053
00054 /* Provide prototype for vector version */
00055 void atanhsp_v (const float a[], float output[], int size);
00056
00057 #endif /* ATANHSP_H_ */
00058
00059 /* ======================================================================== */
00060 /*  End of file: atanhsp.h                                                  */
00061 /* ======================================================================== */


MATHLIB: atansp.h File Reference

atansp.h File Reference

Go to the source code of this file.

Defines

#define | ATANSP_H_ 1

Functions

void | atansp_v (const float a[], float output[], int size)

Define Documentation

#define ATANSP_H_ 1

Definition at line 43 of file atansp.h.

Function Documentation

void atansp_v | ( | const float | a[],
 |  | float | output[],
 |  | int | size
 | ) |  |


MATHLIB: atansp.h Source File

atansp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* atansp.h - single precision floating point arctangent                   */
00039 /*              optimized hand ASM single sample                           */
00040 /* ======================================================================= */
00041
00042 #ifndef ATANSP_H_
00043 #define ATANSP_H_ 1
00044
00045 #if defined (_TMS320C6600)
00046 #include <ti/mathlib/src/atansp/c66/atansp.h>
00047 #include <ti/mathlib/src/atansp/c66/atansp_i.h>
00048 #elif defined (_TMS320C6740)
00049 #include <ti/mathlib/src/atansp/c674/atansp.h>
00050 #include <ti/mathlib/src/atansp/c674/atansp_i.h>
00051 #else
00052 #error invalid target
00053 #endif
00054
00055 /* Provide prototype for vector version */
00056 void atansp_v (const float a[], float output[], int size);
00057
00058 #endif /* ATANSP_H_ */
00059
00060 /* ======================================================================== */
00061 /*  End of file: atansp.h                                                   */
00062 /* ======================================================================== */


MATHLIB: acosdp.h File Reference

acosdp.h File Reference

Go to the source code of this file.

Defines

#define | C66_ACOSDP_H_ 1

Functions

double | acosdp_c (double a)
double | acosdp (double a)

Define Documentation

#define C66_ACOSDP_H_ 1

Definition at line 42 of file c66/acosdp.h.


MATHLIB: acosdp.h Source File

acosdp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* acosdp.h - Double precision floating point arc_cosine                   */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_ACOSDP_H_
00042 #define C66_ACOSDP_H_ 1
00043
00046 /* @{ */
00047
00073 double acosdp_c (double a);
00074 double acosdp (double a);
00075
00078 #endif /* C66_ACOSDP_H_ */
00079
00080 /* ======================================================================== */
00081 /*  End of file: acosdp.h                                                   */
00082 /* ======================================================================== */


MATHLIB: acoshdp.h File Reference

acoshdp.h File Reference

Go to the source code of this file.

Defines

#define | C66_ACOSHDP_H_ 1

Functions

double | acoshdp_c (double a)
double | acoshdp (double a)

Define Documentation

#define C66_ACOSHDP_H_ 1

Definition at line 42 of file c66/acoshdp.h.


MATHLIB: acoshdp.h Source File

acoshdp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* acoshdp.h - Double precision inverse hyperbolic cosine                  */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_ACOSHDP_H_
00042 #define C66_ACOSHDP_H_ 1
00043
00046 /* @{ */
00047
00077 double acoshdp_c (double a);
00078 double acoshdp (double a);
00079
00082 #endif /* C66_ACOSHDP_H_ */
00083
00084 /* ======================================================================= */
00085 /*  End of file: acoshdp.h                                                 */
00086 /* ======================================================================= */


MATHLIB: acoshsp.h File Reference

acoshsp.h File Reference

Go to the source code of this file.

Defines

#define | C66_ACOSHSP_H_ 1

Functions

float | acoshsp_c (float a)
float | acoshsp (float a)

Define Documentation

#define C66_ACOSHSP_H_ 1

Definition at line 42 of file c66/acoshsp.h.


MATHLIB: acoshsp.h Source File

acoshsp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* acoshsp.h - Single Precision Inverse Hyperbolic Cosine                  */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_ACOSHSP_H_
00042 #define C66_ACOSHSP_H_ 1
00043
00046 /* @{ */
00047
00076 float acoshsp_c (float a);
00077 float acoshsp (float a);
00078
00081 #endif /* C66_ACOSHSP_H_ */
00082
00083 /* ======================================================================= */
00084 /*  End of file: acoshsp.h                                                 */
00085 /* ======================================================================= */


MATHLIB: acossp.h File Reference

acossp.h File Reference

Go to the source code of this file.

Defines

#define | C66_ACOSSP_H_ 1

Functions

float | acossp_c (float a)
float | acossp (float a)

Define Documentation

#define C66_ACOSSP_H_ 1

Definition at line 42 of file c66/acossp.h.


MATHLIB: acossp.h Source File

acossp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* acossp.h - Single precision floating point arc_cosine                   */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_ACOSSP_H_
00042 #define C66_ACOSSP_H_ 1
00043
00046 /* @{ */
00047
00073 float acossp_c (float a);
00074 float acossp (float a);
00075
00078 #endif /* C66_ACOSSP_H_ */
00079
00080 /* ======================================================================== */
00081 /*  End of file: acossp.h                                                  */
00082 /* ======================================================================== */


MATHLIB: asindp.h File Reference

asindp.h File Reference

Go to the source code of this file.

Defines

#define | C66_ASINDP_H_ 1

Functions

double | asindp_c (double a)
double | asindp (double a)

Define Documentation

#define C66_ASINDP_H_ 1

Definition at line 42 of file c66/asindp.h.


MATHLIB: asindp.h Source File

asindp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* asindp.h - Double precision floating point arc_sine                     */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_ASINDP_H_
00042 #define C66_ASINDP_H_ 1
00043
00046 /* @{ */
00047
00073 double asindp_c (double a);
00074 double asindp (double a);
00075
00078 #endif /* C66_ASINDP_H_ */
00079
00080 /* ======================================================================== */
00081 /*  End of file: asindp.h                                                   */
00082 /* ======================================================================== */


MATHLIB: asinhdp.h File Reference

asinhdp.h File Reference

Go to the source code of this file.

Defines

#define | C66_ASINHDP_H_ 1

Functions

double | asinhdp_c (double a)
double | asinhdp (double a)

Define Documentation

#define C66_ASINHDP_H_ 1

Definition at line 42 of file c66/asinhdp.h.


MATHLIB: asinhdp.h Source File

asinhdp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* asinhdp.h - Double precision inverse hyperbolic sine                    */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_ASINHDP_H_
00042 #define C66_ASINHDP_H_ 1
00043
00046 /* @{ */
00047
00075 double asinhdp_c (double a);
00076 double asinhdp (double a);
00077
00080 #endif /* C66_ASINHDP_H_ */
00081
00082 /* ======================================================================= */
00083 /*  End of file: asinhdp.h                                                 */
00084 /* ======================================================================= */


MATHLIB: asinhsp.h File Reference

asinhsp.h File Reference

Go to the source code of this file.

Defines

#define | C66_ASINHSP_H_ 1

Functions

float | asinhsp_c (float a)
float | asinhsp (float a)

Define Documentation

#define C66_ASINHSP_H_ 1

Definition at line 42 of file c66/asinhsp.h.


MATHLIB: asinhsp.h Source File

asinhsp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* asinhsp.h - Single Precision Inverse Hyperbolic Sine                    */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_ASINHSP_H_
00042 #define C66_ASINHSP_H_ 1
00043
00046 /* @{ */
00047
00074 float asinhsp_c (float a);
00075 float asinhsp (float a);
00076
00079 #endif /* C66_ASINHSP_H_ */
00080
00081 /* ======================================================================= */
00082 /*  End of file: asinhsp.h                                                 */
00083 /* ======================================================================= */


MATHLIB: asinsp.h File Reference

asinsp.h File Reference

Go to the source code of this file.

Defines

#define | C66_ASINSP_H_ 1

Functions

float | asinsp_c (float a)
float | asinsp (float a)

Define Documentation

#define C66_ASINSP_H_ 1

Definition at line 42 of file c66/asinsp.h.


MATHLIB: asinsp.h Source File

asinsp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* asinsp.h - Single precision floating point arc_sine                     */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_ASINSP_H_
00042 #define C66_ASINSP_H_ 1
00043
00046 /* @{ */
00047
00072 float asinsp_c (float a);
00073 float asinsp (float a);
00074
00077 #endif /* C66_ASINSP_H_ */
00078
00079 /* ======================================================================== */
00080 /*  End of file: asinsp.h                                                  */
00081 /* ======================================================================== */


MATHLIB: atan2dp.h File Reference

atan2dp.h File Reference

Go to the source code of this file.

Defines

#define | C66_ATAN2DP_H_ 1

Functions

double | atan2dp (double a, double b)
double | atan2dp_c (double a, double b)

Define Documentation

#define C66_ATAN2DP_H_ 1

Definition at line 44 of file c66/atan2dp.h.


MATHLIB: atan2dp.h Source File

atan2dp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* atan2dp.h - double precision floating point arctangent two arguments    */
00039 /*              optimized hand ASM single sample                           */
00040 /*                                                                         */
00041 /* ======================================================================= */
00042
00043 #ifndef C66_ATAN2DP_H_
00044 #define C66_ATAN2DP_H_ 1
00045
00048 /* @{ */
00049
00076 double atan2dp   (double a, double b);
00077 double atan2dp_c (double a, double b);
00078
00081 #endif /* C66_ATAN2DP_H_ */
00082
00083 /* ======================================================================== */
00084 /*  End of file: atan2dp.h                                                  */
00085 /* ======================================================================== */


MATHLIB: atan2sp.h File Reference

atan2sp.h File Reference

Go to the source code of this file.

Defines

#define | C66_ATAN2SP_H_ 1

Functions

float | atan2sp (float a, float b)
float | atan2sp_c (float a, float b)

Define Documentation

#define C66_ATAN2SP_H_ 1

Definition at line 44 of file c66/atan2sp.h.


MATHLIB: atan2sp.h Source File

atan2sp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* atan2sp.h - single precision floating point arctangent two arguments    */
00039 /*              optimized hand ASM single sample                           */
00040 /*                                                                         */
00041 /* ======================================================================= */
00042
00043 #ifndef C66_ATAN2SP_H_
00044 #define C66_ATAN2SP_H_ 1
00045
00048 /* @{ */
00049
00076 float atan2sp   (float a, float b);
00077 float atan2sp_c (float a, float b);
00078
00081 #endif /* C66_ATAN2SP_H_ */
00082
00083 /* ======================================================================== */
00084 /*  End of file: atan2sp.h                                                  */
00085 /* ======================================================================== */


MATHLIB: atandp.h File Reference

atandp.h File Reference

Go to the source code of this file.

Defines

#define | C66_ATANDP_H_ 1

Functions

double | atandp (double a)
double | atandp_c (double a)

Define Documentation

#define C66_ATANDP_H_ 1

Definition at line 43 of file c66/atandp.h.


MATHLIB: atandp.h Source File

atandp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* atandp.h - double precision floating point arctangent                   */
00039 /*              optimized hand ASM single sample                           */
00040 /* ======================================================================= */
00041
00042 #ifndef C66_ATANDP_H_
00043 #define C66_ATANDP_H_ 1
00044
00047 /* @{ */
00048
00073 double atandp   (double a);
00074 double atandp_c (double a);
00075
00078 #endif /* C66_ATANDP_H_ */
00079
00080 /* ======================================================================== */
00081 /*  End of file: atandp.h                                                   */
00082 /* ======================================================================== */


MATHLIB: atanhdp.h File Reference

atanhdp.h File Reference

Go to the source code of this file.

Defines

#define | C66_ATANHDP_H_ 1

Functions

double | atanhdp_c (double a)
double | atanhdp (double a)

Define Documentation

#define C66_ATANHDP_H_ 1

Definition at line 42 of file c66/atanhdp.h.


MATHLIB: atanhdp.h Source File

atanhdp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* atanhdp.h - Double precision inverse hyperbolic tangent                 */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_ATANHDP_H_
00042 #define C66_ATANHDP_H_ 1
00043
00046 /* @{ */
00047
00075 double atanhdp_c (double a);
00076 double atanhdp (double a);
00077
00080 #endif /* C66_ATANHDP_H_ */
00081
00082 /* ======================================================================= */
00083 /*  End of file: atanhdp.h                                                 */
00084 /* ======================================================================= */


MATHLIB: atanhsp.h File Reference

atanhsp.h File Reference

Go to the source code of this file.

Defines

#define | C66_ATANHSP_H_ 1

Functions

float | atanhsp_c (float a)
float | atanhsp (float a)

Define Documentation

#define C66_ATANHSP_H_ 1

Definition at line 42 of file c66/atanhsp.h.


MATHLIB: atanhsp.h Source File

atanhsp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* atanhsp.h - Single precision inverse hyperbolic tangent                 */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_ATANHSP_H_
00042 #define C66_ATANHSP_H_ 1
00043
00046 /* @{ */
00047
00075 float atanhsp_c (float a);
00076 float atanhsp (float a);
00077
00080 #endif /* C66_ATANHSP_H_ */
00081
00082 /* ======================================================================= */
00083 /*  End of file: atanhsp.h                                                 */
00084 /* ======================================================================= */


MATHLIB: atansp.h File Reference

atansp.h File Reference

Go to the source code of this file.

Defines

#define | C66_ATANSP_H_ 1

Functions

float | atansp (float a)
float | atansp_c (float a)

Define Documentation

#define C66_ATANSP_H_ 1

Definition at line 43 of file c66/atansp.h.


MATHLIB: atansp.h Source File

atansp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* atansp.h - single precision floating point arctangent                   */
00039 /*              optimized hand ASM single sample                           */
00040 /* ======================================================================= */
00041
00042 #ifndef C66_ATANSP_H_
00043 #define C66_ATANSP_H_ 1
00044
00047 /* @{ */
00048
00073 float atansp   (float a);
00074 float atansp_c (float a);
00075
00078 #endif /* C66_ATANSP_H_ */
00079
00080 /* ======================================================================== */
00081 /*  End of file: atansp.h                                                   */
00082 /* ======================================================================== */


MATHLIB: cosdp.h File Reference

cosdp.h File Reference

Go to the source code of this file.

Defines

#define | C66_COSDP_H_ 1

Functions

double | cosdp (double a)
double | cosdp_c (double a)

Define Documentation

#define C66_COSDP_H_ 1

Definition at line 43 of file c66/cosdp.h.


MATHLIB: cosdp.h Source File

cosdp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* cosdp.h - double precision floating point cosine                        */
00039 /*              optimized hand ASM single sample                           */
00040 /* ======================================================================= */
00041
00042 #ifndef C66_COSDP_H_
00043 #define C66_COSDP_H_ 1
00044
00047 /* @{ */
00048
00075 double cosdp   (double a);
00076 double cosdp_c (double a);
00077
00080 #endif /* C66_COSDP_H_ */
00081
00082 /* ======================================================================== */
00083 /*  End of file: cosdp.h                                                    */
00084 /* ======================================================================== */


MATHLIB: coshdp.h File Reference

coshdp.h File Reference

Go to the source code of this file.

Defines

#define | C66_COSHDP_H_ 1

Functions

double | coshdp_c (double a)
double | coshdp (double a)

Define Documentation

#define C66_COSHDP_H_ 1

Definition at line 42 of file c66/coshdp.h.


MATHLIB: coshdp.h Source File

coshdp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* coshdp.h - Double Precision Hyperbolic Cosine                           */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_COSHDP_H_
00042 #define C66_COSHDP_H_ 1
00043
00046 /* @{ */
00047
00072 double coshdp_c (double a);
00073 double coshdp (double a);
00074
00077 #endif /* C66_COSHSP_H_ */
00078
00079 /* ======================================================================== */
00080 /*  End of file: coshdp.h                                                   */
00081 /* ======================================================================== */


MATHLIB: coshsp.h File Reference

coshsp.h File Reference

Go to the source code of this file.

Defines

#define | C66_COSHSP_H_ 1

Functions

float | coshsp_c (float a)
float | coshsp (float a)

Define Documentation

#define C66_COSHSP_H_ 1

Definition at line 42 of file c66/coshsp.h.


MATHLIB: coshsp.h Source File

coshsp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY sinhRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* coshsp.h - Single Precision Hyperbolic Cosine                           */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_COSHSP_H_
00042 #define C66_COSHSP_H_ 1
00043
00046 /* @{ */
00047
00074 float coshsp_c (float a);
00075 float coshsp (float a);
00076
00079 #endif /* C66_COSHSP_H_ */
00080
00081 /* ======================================================================== */
00082 /*  End of file: coshsp.h                                                    */
00083 /* ======================================================================== */


MATHLIB: cossp.h File Reference

cossp.h File Reference

Go to the source code of this file.

Defines

#define | C66_COSSP_H_ 1

Functions

float | cossp (float a)
float | cossp_c (float a)

Define Documentation

#define C66_COSSP_H_ 1

Definition at line 43 of file c66/cossp.h.


MATHLIB: cossp.h Source File

cossp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* cossp.h - single precision floating point cosine                        */
00039 /*              optimized hand ASM single sample                           */
00040 /* ======================================================================= */
00041
00042 #ifndef C66_COSSP_H_
00043 #define C66_COSSP_H_ 1
00044
00047 /* @{ */
00048
00075 float cossp   (float a);
00076 float cossp_c (float a);
00077
00080 #endif /* C66_COSSP_H_ */
00081
00082 /* ======================================================================== */
00083 /*  End of file: cossp.h                                                    */
00084 /* ======================================================================= */
00085


MATHLIB: divdp.h File Reference

divdp.h File Reference

Go to the source code of this file.

Defines

#define | C66_DIVDP_H_ 1

Functions

double | divdp (double a, double b)
double | divdp_c (double a, double b)

Define Documentation

#define C66_DIVDP_H_ 1

Definition at line 43 of file c66/divdp.h.


MATHLIB: divdp.h Source File

divdp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* divdp.h - double precision floating point divide                        */
00039 /*              optimized hand ASM single sample                           */
00040 /* ======================================================================= */
00041
00042 #ifndef C66_DIVDP_H_
00043 #define C66_DIVDP_H_ 1
00044
00047 /* @{ */
00048
00074 double divdp   (double a, double b);
00075 double divdp_c (double a, double b);
00076
00079 #endif /* C66_DIVDP_H_ */
00080
00081 /* ======================================================================== */
00082 /*  End of file: divdp.h                                                    */
00083 /* ======================================================================== */


MATHLIB: divsp.h File Reference

divsp.h File Reference

Go to the source code of this file.

Defines

#define | C66_DIVSP_H_ 1

Functions

float | divsp (float a, float b)
float | divsp_c (float a, float b)

Define Documentation

#define C66_DIVSP_H_ 1

Definition at line 43 of file c66/divsp.h.


MATHLIB: divsp.h Source File

divsp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* divsp.h - single precision floating point divide                        */
00039 /*              optimized hand ASM single sample                           */
00040 /* ======================================================================= */
00041
00042 #ifndef C66_DIVSP_H_
00043 #define C66_DIVSP_H_ 1
00044
00047 /* @{ */
00048
00074 float divsp   (float a, float b);
00075 float divsp_c (float a, float b);
00076
00077
00080 #endif /* C66_DIVSP_H_ */
00081
00082 /* ======================================================================== */
00083 /*  End of file: divsp.h                                                    */
00084 /* ======================================================================== */


MATHLIB: exp2dp.h File Reference

exp2dp.h File Reference

Go to the source code of this file.

Defines

#define | C66_EXP2DP_H_ 1

Functions

double | exp2dp (double a)
double | exp2dp_c (double a)

Define Documentation

#define C66_EXP2DP_H_ 1

Definition at line 42 of file c66/exp2dp.h.


MATHLIB: exp2dp.h Source File

exp2dp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* exp2dp.h - double Precision Exponential Base 2                          */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_EXP2DP_H_
00042 #define C66_EXP2DP_H_ 1
00043
00046 /* @{ */
00047
00077 double exp2dp   (double a);
00078 double exp2dp_c (double a);
00079
00082 #endif /* C66_EXP2DP_H_ */
00083
00084 /* ======================================================================== */
00085 /*  End of file: exp2dp.h                                                   */
00086 /* ======================================================================== */


MATHLIB: exp2sp.h File Reference

exp2sp.h File Reference

Go to the source code of this file.

Defines

#define | C66_EXP2SP_H_ 1

Functions

float | exp2sp (float a)
float | exp2sp_c (float a)

Define Documentation

#define C66_EXP2SP_H_ 1

Definition at line 42 of file c66/exp2sp.h.


MATHLIB: exp2sp.h Source File

exp2sp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* exp2sp.h - Single Precision Exponential Base 2                          */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_EXP2SP_H_
00042 #define C66_EXP2SP_H_ 1
00043
00046 /* @{ */
00047
00076 float exp2sp   (float a);
00077 float exp2sp_c (float a);
00078
00081 #endif /* C66_EXP2SP_H_ */
00082
00083 /* ======================================================================== */
00084 /*  End of file: exp2sp.h                                                   */
00085 /* ======================================================================== */


MATHLIB: exp10dp.h File Reference

exp10dp.h File Reference

Go to the source code of this file.

Defines

#define | C66_EXP10DP_H_ 1

Functions

double | exp10dp (double a)
double | exp10dp_c (double a)

Define Documentation

#define C66_EXP10DP_H_ 1

Definition at line 42 of file c66/exp10dp.h.


MATHLIB: exp10dp.h Source File

exp10dp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* exp10dp.h - double Precision Exponential Base 10                        */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_EXP10DP_H_
00042 #define C66_EXP10DP_H_ 1
00043
00046 /* @{ */
00047
00077 double exp10dp   (double a);
00078 double exp10dp_c (double a);
00079
00082 #endif /* C66_EXP10DP_H_ */
00083
00084 /* ======================================================================== */
00085 /*  End of file: exp10dp.h                                                  */
00086 /* ======================================================================== */


MATHLIB: exp10sp.h File Reference

exp10sp.h File Reference

Go to the source code of this file.

Defines

#define | C66_EXP10SP_H_ 1

Functions

float | exp10sp (float a)
float | exp10sp_c (float a)

Define Documentation

#define C66_EXP10SP_H_ 1

Definition at line 42 of file c66/exp10sp.h.


MATHLIB: exp10sp.h Source File

exp10sp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* exp10sp.h - Single Precision Exponential Base 10                        */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_EXP10SP_H_
00042 #define C66_EXP10SP_H_ 1
00043
00046 /* @{ */
00047
00076 float exp10sp   (float a);
00077 float exp10sp_c (float a);
00078
00081 #endif /* C66_EXP10SP_H_ */
00082
00083 /* ======================================================================== */
00084 /*  End of file: exp10sp.h                                                  */
00085 /* ======================================================================== */


MATHLIB: expdp.h File Reference

expdp.h File Reference

Go to the source code of this file.

Defines

#define | C66_EXPDP_H_ 1

Functions

double | expdp (double a)
double | expdp_c (double a)

Define Documentation

#define C66_EXPDP_H_ 1

Definition at line 42 of file c66/expdp.h.


MATHLIB: expdp.h Source File

expdp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* expdp.h - double Precision Exponential                                  */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_EXPDP_H_
00042 #define C66_EXPDP_H_ 1
00043
00046 /* @{ */
00047
00077 double expdp   (double a);
00078 double expdp_c (double a);
00079
00082 #endif /* C66_EXPDP_H_ */
00083
00084 /* ======================================================================== */
00085 /*  End of file: expdp.h                                                    */
00086 /* ======================================================================== */


MATHLIB: expsp.h File Reference

expsp.h File Reference

Go to the source code of this file.

Defines

#define | C66_EXPSP_H_ 1

Functions

float | expsp (float a)
float | expsp_c (float a)

Define Documentation

#define C66_EXPSP_H_ 1

Definition at line 42 of file c66/expsp.h.


MATHLIB: expsp.h Source File

expsp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* expsp.h - Single Precision Exponential                                  */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_EXPSP_H_
00042 #define C66_EXPSP_H_ 1
00043
00046 /* @{ */
00047
00078 float expsp   (float a);
00079 float expsp_c (float a);
00080
00083 #endif /* C66_EXPSP_H_ */
00084
00085 /* ======================================================================== */
00086 /*  End of file: expsp.h                                                    */
00087 /* ======================================================================== */


MATHLIB: log2dp.h File Reference

log2dp.h File Reference

Go to the source code of this file.

Defines

#define | C66_LOG2DP_H_ 1

Functions

double | log2dp (double a)
double | log2dp_c (double a)

Define Documentation

#define C66_LOG2DP_H_ 1

Definition at line 42 of file c66/log2dp.h.


MATHLIB: log2dp.h Source File

log2dp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* log2dp.h - double Precision log Base 2                                  */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_LOG2DP_H_
00042 #define C66_LOG2DP_H_ 1
00043
00046 /* @{ */
00047
00074 double log2dp   (double a);
00075 double log2dp_c (double a);
00076
00079 #endif /* C66_LOG2DP_H_ */
00080
00081 /* ======================================================================= */
00082 /*  End of file: log2dp.h                                                  */
00083 /* ======================================================================= */


MATHLIB: log2sp.h File Reference

log2sp.h File Reference

Go to the source code of this file.

Defines

#define | C66_LOG2SP_H_ 1

Functions

float | log2sp (float a)
float | log2sp_c (float a)

Define Documentation

#define C66_LOG2SP_H_ 1

Definition at line 42 of file c66/log2sp.h.


MATHLIB: log2sp.h Source File

log2sp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* log2sp.h - single Precision log Base 2                                  */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_LOG2SP_H_
00042 #define C66_LOG2SP_H_ 1
00043
00046 /* @{ */
00047
00073 float log2sp   (float a);
00074 float log2sp_c (float a);
00075
00078 #endif /* C66_LOG2SP_H_ */
00079
00080 /* ======================================================================= */
00081 /*  End of file: log2sp.h                                                  */
00082 /* ======================================================================= */


MATHLIB: log10dp.h File Reference

log10dp.h File Reference

Go to the source code of this file.

Defines

#define | C66_LOG10DP_H_ 1

Functions

double | log10dp (double a)
double | log10dp_c (double a)

Define Documentation

#define C66_LOG10DP_H_ 1

Definition at line 42 of file c66/log10dp.h.


MATHLIB: log10dp.h Source File

log10dp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* log10dp.h - double Precision log Base 10                                */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_LOG10DP_H_
00042 #define C66_LOG10DP_H_ 1
00043
00046 /* @{ */
00047
00074 double log10dp   (double a);
00075 double log10dp_c (double a);
00076
00079 #endif /* C66_LOG10DP_H_ */
00080
00081 /* ======================================================================== */
00082 /*  End of file: log10dp.h                                                  */
00083 /* ======================================================================== */


MATHLIB: log10sp.h File Reference

log10sp.h File Reference

Go to the source code of this file.

Defines

#define | C66_LOG10SP_H_ 1

Functions

float | log10sp (float a)
float | log10sp_c (float a)

Define Documentation

#define C66_LOG10SP_H_ 1

Definition at line 42 of file c66/log10sp.h.


MATHLIB: log10sp.h Source File

log10sp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* log10sp.h - single Precision log Base 10                                */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_LOG10SP_H_
00042 #define C66_LOG10SP_H_ 1
00043
00046 /* @{ */
00047
00073 float log10sp   (float a);
00074 float log10sp_c (float a);
00075
00078 #endif /* C66_LOG10SP_H_ */
00079
00080 /* ======================================================================== */
00081 /*  End of file: log10sp.h                                                  */
00082 /* ======================================================================== */


MATHLIB: logdp.h File Reference

logdp.h File Reference

Go to the source code of this file.

Defines

#define | C66_LOGDP_H_ 1

Functions

double | logdp (double a)
double | logdp_c (double a)

Define Documentation

#define C66_LOGDP_H_ 1

Definition at line 42 of file c66/logdp.h.


MATHLIB: logdp.h Source File

logdp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* logdp.h - double Precision log                                          */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_LOGDP_H_
00042 #define C66_LOGDP_H_ 1
00043
00046 /* @{ */
00047
00074 double logdp   (double a);
00075 double logdp_c (double a);
00076
00079 #endif /* C66_LOGDP_H_ */
00080
00081 /* ======================================================================= */
00082 /*  End of file: logdp.h                                                   */
00083 /* ======================================================================= */


MATHLIB: logsp.h File Reference

logsp.h File Reference

Go to the source code of this file.

Defines

#define | C66_LOGSP_H_ 1

Functions

float | logsp (float a)
float | logsp_c (float a)

Define Documentation

#define C66_LOGSP_H_ 1

Definition at line 42 of file c66/logsp.h.


MATHLIB: logsp.h Source File

logsp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* logsp.h - single Precision log                                          */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_LOGSP_H_
00042 #define C66_LOGSP_H_ 1
00043
00046 /* @{ */
00047
00073 float logsp   (float a);
00074 float logsp_c (float a);
00075
00078 #endif /* C66_LOGSP_H_ */
00079
00080 /* ======================================================================= */
00081 /*  End of file: logsp.h                                                   */
00082 /* ======================================================================= */


MATHLIB: powdp.h File Reference

powdp.h File Reference

Go to the source code of this file.

Defines

#define | C66_POWDP_H_ 1

Functions

double | powdp (double a, double b)
double | powdp_c (double a, double b)

Define Documentation

#define C66_POWDP_H_ 1

Definition at line 42 of file c66/powdp.h.


MATHLIB: powdp.h Source File

powdp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* powdp.h - double Precision power                                        */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_POWDP_H_
00042 #define C66_POWDP_H_ 1
00043
00046 /* @{ */
00047
00076 double powdp   (double a, double b);
00077 double powdp_c (double a, double b);
00078
00081 #endif /* C66_POWDP_H_ */
00082
00083 /* ======================================================================= */
00084 /*  End of file: powdp.h                                                   */
00085 /* ======================================================================= */


MATHLIB: powsp.h File Reference

powsp.h File Reference

Go to the source code of this file.

Defines

#define | C66_POWSP_H_ 1

Functions

float | powsp (float a, float b)
float | powsp_c (float a, float b)

Define Documentation

#define C66_POWSP_H_ 1

Definition at line 42 of file c66/powsp.h.


MATHLIB: powsp.h Source File

powsp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* powsp.h - Single Precision power function                               */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_POWSP_H_
00042 #define C66_POWSP_H_ 1
00043
00046 /* @{ */
00047
00078 float powsp   (float a, float b);
00079 float powsp_c (float a, float b);
00080
00083 #endif /* C66_POWSP_H_ */
00084
00085 /* ======================================================================= */
00086 /*  End of file: powsp.h                                                   */
00087 /* ======================================================================= */


MATHLIB: recipdp.h File Reference

recipdp.h File Reference

Go to the source code of this file.

Defines

#define | C66_RECIPDP_H_ 1

Functions

double | recipdp (double a)
double | recipdp_c (double a)

Define Documentation

#define C66_RECIPDP_H_ 1

Definition at line 42 of file c66/recipdp.h.


MATHLIB: recipdp.h Source File

recipdp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* recipdp.h - double Precision reciprocal                                 */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_RECIPDP_H_
00042 #define C66_RECIPDP_H_ 1
00043
00046 /* @{ */
00047
00074 double recipdp   (double a);
00075 double recipdp_c (double a);
00076
00079 #endif /* C66_RECIPDP_H_ */
00080
00081 /* ======================================================================= */
00082 /*  End of file: recipdp.h                                                 */
00083 /* ======================================================================= */


MATHLIB: recipsp.h File Reference

recipsp.h File Reference

Go to the source code of this file.

Defines

#define | C66_RECIPSP_H_ 1

Functions

float | recipsp (float a)
float | recipsp_c (float a)

Define Documentation

#define C66_RECIPSP_H_ 1

Definition at line 42 of file c66/recipsp.h.


MATHLIB: recipsp.h Source File

recipsp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* recipsp.h - single Precision reciprocal                                 */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_RECIPSP_H_
00042 #define C66_RECIPSP_H_ 1
00043
00046 /* @{ */
00047
00074 float recipsp   (float a);
00075 float recipsp_c (float a);
00076
00079 #endif /* C66_RECIPSP_H_ */
00080
00081 /* ======================================================================= */
00082 /*  End of file: recipsp.h                                                 */
00083 /* ======================================================================= */


MATHLIB: rsqrtdp.h File Reference

rsqrtdp.h File Reference

Go to the source code of this file.

Defines

#define | C66_RSQRTDP_H_ 1

Functions

double | rsqrtdp (double a)
double | rsqrtdp_c (double a)

Define Documentation

#define C66_RSQRTDP_H_ 1

Definition at line 42 of file c66/rsqrtdp.h.


MATHLIB: rsqrtdp.h Source File

rsqrtdp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* rsqrtdp.h - double Precision reciprocal square root                     */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_RSQRTDP_H_
00042 #define C66_RSQRTDP_H_ 1
00043
00046 /* @{ */
00047
00073 double rsqrtdp   (double a);
00074 double rsqrtdp_c (double a);
00075
00078 #endif /* C66_RSQRTDP_H_ */
00079
00080 /* ======================================================================= */
00081 /*  End of file: rsqrtdp.h                                                 */
00082 /* ======================================================================= */


MATHLIB: rsqrtsp.h File Reference

rsqrtsp.h File Reference

Go to the source code of this file.

Defines

#define | C66_RSQRTSP_H_ 1

Functions

float | rsqrtsp (float a)
float | rsqrtsp_c (float a)

Define Documentation

#define C66_RSQRTSP_H_ 1

Definition at line 42 of file c66/rsqrtsp.h.


MATHLIB: rsqrtsp.h Source File

rsqrtsp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* rsqrtsp.h - single Precision reciprocal square root                     */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_RSQRTSP_H_
00042 #define C66_RSQRTSP_H_ 1
00043
00046 /* @{ */
00047
00074 float rsqrtsp   (float a);
00075 float rsqrtsp_c (float a);
00076
00079 #endif /* C66_RSQRTSP_H_ */
00080
00081 /* ======================================================================= */
00082 /*  End of file: rsqrtsp.h                                                 */
00083 /* ======================================================================= */


MATHLIB: sindp.h File Reference

sindp.h File Reference

Go to the source code of this file.

Defines

#define | C66_SINDP_H_ 1

Functions

double | sindp (double a)
double | sindp_c (double a)

Define Documentation

#define C66_SINDP_H_ 1

Definition at line 42 of file c66/sindp.h.


MATHLIB: sindp.h Source File

sindp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* sindp.h - double Precision sine                                         */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_SINDP_H_
00042 #define C66_SINDP_H_ 1
00043
00046 /* @{ */
00047
00075 double sindp   (double a);
00076 double sindp_c (double a);
00077
00080 #endif /* C66_SINDP_H_ */
00081
00082 /* ======================================================================= */
00083 /*  End of file: sindp.h                                                   */
00084 /* ======================================================================= */


MATHLIB: sinhdp.h File Reference

sinhdp.h File Reference

Go to the source code of this file.

Defines

#define | C66_SINHDP_H_ 1

Functions

double | sinhdp_c (double a)
double | sinhdp (double a)

Define Documentation

#define C66_SINHDP_H_ 1

Definition at line 42 of file c66/sinhdp.h.


MATHLIB: sinhdp.h Source File

sinhdp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* sinhdp.h - Double Precision Hyperbolic Sine                             */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_SINHDP_H_
00042 #define C66_SINHDP_H_ 1
00043
00046 /* @{ */
00047
00072 double sinhdp_c (double a);
00073 double sinhdp (double a);
00074
00077 #endif /* C66_SINHSP_H_ */
00078
00079 /* ======================================================================== */
00080 /*  End of file: sinhdp.h                                                   */
00081 /* ======================================================================== */


MATHLIB: sinhsp.h File Reference

sinhsp.h File Reference

Go to the source code of this file.

Defines

#define | C66_SINHSP_H_ 1

Functions

float | sinhsp_c (float a)
float | sinhsp (float a)

Define Documentation

#define C66_SINHSP_H_ 1

Definition at line 42 of file c66/sinhsp.h.


MATHLIB: sinhsp.h Source File

sinhsp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* sinhsp.h - Single Precision Hyperbolic Sine                             */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_SINHSP_H_
00042 #define C66_SINHSP_H_ 1
00043
00046 /* @{ */
00047
00075 float sinhsp_c (float a);
00076 float sinhsp (float a);
00077
00080 #endif /* C66_SINHSP_H_ */
00081
00082 /* ======================================================================== */
00083 /*  End of file: sinhsp.h                                                   */
00084 /* ======================================================================== */


MATHLIB: sinsp.h File Reference

sinsp.h File Reference

Go to the source code of this file.

Defines

#define | C66_SINSP_H_ 1

Functions

float | sinsp (float a)
float | sinsp_c (float a)

Define Documentation

#define C66_SINSP_H_ 1

Definition at line 42 of file c66/sinsp.h.


MATHLIB: sinsp.h Source File

sinsp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* sinsp.h - single Precision sine                                         */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_SINSP_H_
00042 #define C66_SINSP_H_ 1
00043
00046 /* @{ */
00047
00075 float sinsp   (float a);
00076 float sinsp_c (float a);
00077
00080 #endif /* C66_SINSP_H_ */
00081
00082 /* ======================================================================= */
00083 /*  End of file: sinsp.h                                                   */
00084 /* ======================================================================= */


MATHLIB: sqrtdp.h File Reference

sqrtdp.h File Reference

Go to the source code of this file.

Defines

#define | C66_SQRTDP_H_ 1

Functions

double | sqrtdp (double a)
double | sqrtdp_c (double a)

Define Documentation

#define C66_SQRTDP_H_ 1

Definition at line 42 of file c66/sqrtdp.h.


MATHLIB: sqrtdp.h Source File

sqrtdp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* sqrtdp.h - double Precision square root                                 */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_SQRTDP_H_
00042 #define C66_SQRTDP_H_ 1
00043
00046 /* @{ */
00047
00072 double sqrtdp   (double a);
00073 double sqrtdp_c (double a);
00074
00077 #endif /* C66_SQRTDP_H_ */
00078
00079 /* ======================================================================= */
00080 /*  End of file: sqrtdp.h                                                  */
00081 /* ======================================================================= */


MATHLIB: sqrtsp.h File Reference

sqrtsp.h File Reference

Go to the source code of this file.

Defines

#define | C66_SQRTSP_H_ 1

Functions

float | sqrtsp (float a)
float | sqrtsp_c (float a)

Define Documentation

#define C66_SQRTSP_H_ 1

Definition at line 42 of file c66/sqrtsp.h.


MATHLIB: sqrtsp.h Source File

sqrtsp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* sqrtsp.h - single Precision square root                                 */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_SQRTSP_H_
00042 #define C66_SQRTSP_H_ 1
00043
00046 /* @{ */
00047
00073 float sqrtsp   (float a);
00074 float sqrtsp_c (float a);
00075
00078 #endif /* C66_SQRTSP_H_ */
00079
00080 /* ======================================================================= */
00081 /*  End of file: sqrtsp.h                                                  */
00082 /* ======================================================================= */


MATHLIB: tandp.h File Reference

tandp.h File Reference

Go to the source code of this file.

Defines

#define | C66_TANDP_H_ 1

Functions

double | tandp_c (double a)
double | tandp (double a)

Define Documentation

#define C66_TANDP_H_ 1

Definition at line 42 of file c66/tandp.h.


MATHLIB: tandp.h Source File

tandp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* tandp.h - Double Precision Tangent                                      */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_TANDP_H_
00042 #define C66_TANDP_H_ 1
00043
00046 /* @{ */
00047
00074 double tandp_c (double a);
00075 double tandp (double a);
00076
00079 #endif /* C66_TANDP_H_ */
00080
00081 /* ======================================================================= */
00082 /*  End of file: tandp.h                                                   */
00083 /* ======================================================================= */


MATHLIB: tanhdp.h File Reference

tanhdp.h File Reference

Go to the source code of this file.

Defines

#define | C66_TANHDP_H_ 1

Functions

double | tanhdp_c (double a)
double | tanhdp (double a)

Define Documentation

#define C66_TANHDP_H_ 1

Definition at line 42 of file c66/tanhdp.h.


MATHLIB: tanhdp.h Source File

tanhdp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* tanhdp.h - Double Precision Hyperbolic Tangent                          */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_TANHDP_H_
00042 #define C66_TANHDP_H_ 1
00043
00046 /* @{ */
00047
00076 double tanhdp_c (double a);
00077 double tanhdp (double a);
00078
00081 #endif /* C66_TANHDP_H_ */
00082
00083 /* ======================================================================== */
00084 /*  End of file: tanhdp.h                                                   */
00085 /* ======================================================================== */


MATHLIB: tanhsp.h File Reference

tanhsp.h File Reference

Go to the source code of this file.

Defines

#define | C66_TANHSP_H_ 1

Functions

float | tanhsp_c (float a)
float | tanhsp (float a)

Define Documentation

#define C66_TANHSP_H_ 1

Definition at line 42 of file c66/tanhsp.h.


MATHLIB: tanhsp.h Source File

tanhsp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* tanhsp.h - Single Precision Hyperbolic Tangent                          */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_TANHSP_H_
00042 #define C66_TANHSP_H_ 1
00043
00046 /* @{ */
00047
00076 float tanhsp_c (float a);
00077 float tanhsp (float a);
00078
00081 #endif /* C66_TANHSP_H_ */
00082
00083 /* ======================================================================== */
00084 /*  End of file: tanhsp.h                                                   */
00085 /* ======================================================================== */


MATHLIB: tansp.h File Reference

tansp.h File Reference

Go to the source code of this file.

Defines

#define | C66_TANSP_H_ 1

Functions

float | tansp_c (float a)
float | tansp (float a)

Define Documentation

#define C66_TANSP_H_ 1

Definition at line 42 of file c66/tansp.h.


MATHLIB: tansp.h Source File

tansp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* tansp.h - single precision floating point tangent                       */
00039 /* ======================================================================= */
00040
00041 #ifndef C66_TANSP_H_
00042 #define C66_TANSP_H_ 1
00043
00046 /* @{ */
00047
00076 float tansp_c (float a);
00077 float tansp (float a);
00078
00081 #endif /* C66_TANSP_H_ */
00082
00083 /* ======================================================================== */
00084 /*  End of file: tansp.h                                                   */
00085 /* ======================================================================== */


MATHLIB: cosdp.h File Reference

cosdp.h File Reference

Go to the source code of this file.

Defines

#define | COSDP_H_ 1

Functions

void | cosdp_v (const double a[], double output[], int size)

Define Documentation

#define COSDP_H_ 1

Definition at line 43 of file cosdp.h.

Function Documentation

void cosdp_v | ( | const double | a[],
 |  | double | output[],
 |  | int | size
 | ) |  |


MATHLIB: cosdp.h Source File

cosdp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* cosdp.h - double precision floating point cosine                        */
00039 /*              optimized hand ASM single sample                           */
00040 /* ======================================================================= */
00041
00042 #ifndef COSDP_H_
00043 #define COSDP_H_ 1
00044
00045 #if defined (_TMS320C6600)
00046 #include <ti/mathlib/src/cosdp/c66/cosdp.h>
00047 #include <ti/mathlib/src/cosdp/c66/cosdp_i.h>
00048 #elif defined (_TMS320C6740)
00049 #include <ti/mathlib/src/cosdp/c674/cosdp.h>
00050 #include <ti/mathlib/src/cosdp/c674/cosdp_i.h>
00051 #else
00052 #error invalid target
00053 #endif
00054
00055 /* Provide prototype for vector version */
00056 void cosdp_v (const double a[], double output[], int size);
00057
00058 #endif /* COSDP_H_ */
00059
00060 /* ======================================================================== */
00061 /*  End of file: cosdp.h                                                    */
00062 /* ======================================================================== */


MATHLIB: coshdp.h File Reference

coshdp.h File Reference

Go to the source code of this file.

Defines

#define | COSHDP_H_ 1

Functions

void | coshdp_v (const double a[], double output[], int size)

Define Documentation

#define COSHDP_H_ 1

Definition at line 42 of file coshdp.h.

Function Documentation

void coshdp_v | ( | const double | a[],
 |  | double | output[],
 |  | int | size
 | ) |  |


MATHLIB: coshdp.h Source File

coshdp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* coshdp.h - Double precision hyperbolic cosine                           */
00039 /* ======================================================================= */
00040
00041 #ifndef COSHDP_H_
00042 #define COSHDP_H_ 1
00043
00044 #if defined (_TMS320C6600)
00045 #include <ti/mathlib/src/coshdp/c66/coshdp.h>
00046 #include <ti/mathlib/src/coshdp/c66/coshdp_i.h>
00047 #elif defined (_TMS320C6740)
00048 #include <ti/mathlib/src/coshdp/c674/coshdp.h>
00049 #include <ti/mathlib/src/coshdp/c674/coshdp_i.h>
00050 #else
00051 #error invalid target
00052 #endif
00053
00054 /* Provide prototype for vector version */
00055 void coshdp_v (const double a[], double output[], int size);
00056
00057 #endif /* COSHSP_H_ */
00058
00059 /* ======================================================================== */
00060 /*  End of file: coshdp.h                                                   */
00061 /* ======================================================================== */


MATHLIB: coshsp.h File Reference

coshsp.h File Reference

Go to the source code of this file.

Defines

#define | COSHSP_H_ 1

Functions

void | coshsp_v (const float a[], float output[], int size)

Define Documentation

#define COSHSP_H_ 1

Definition at line 42 of file coshsp.h.

Function Documentation

void coshsp_v | ( | const float | a[],
 |  | float | output[],
 |  | int | size
 | ) |  |


MATHLIB: coshsp.h Source File

coshsp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* coshsp.h - Single Precision Hyperbolic Cosine                           */
00039 /* ======================================================================= */
00040
00041 #ifndef COSHSP_H_
00042 #define COSHSP_H_ 1
00043
00044 #if defined (_TMS320C6600)
00045 #include <ti/mathlib/src/coshsp/c66/coshsp.h>
00046 #include <ti/mathlib/src/coshsp/c66/coshsp_i.h>
00047 #elif defined (_TMS320C6740)
00048 #include <ti/mathlib/src/coshsp/c674/coshsp.h>
00049 #include <ti/mathlib/src/coshsp/c674/coshsp_i.h>
00050 #else
00051 #error invalid target
00052 #endif
00053
00054 /* Provide prototype for vector version */
00055 void coshsp_v (const float a[], float output[], int size);
00056
00057 #endif /* COSHSP_H_ */
00058
00059 /* ======================================================================== */
00060 /*  End of file: coshsp.h                                                    */
00061 /* ======================================================================== */


MATHLIB: cossp.h File Reference

cossp.h File Reference

Go to the source code of this file.

Defines

#define | COSSP_H_ 1

Functions

void | cossp_v (const float a[], float output[], int size)

Define Documentation

#define COSSP_H_ 1

Definition at line 43 of file cossp.h.

Function Documentation

void cossp_v | ( | const float | a[],
 |  | float | output[],
 |  | int | size
 | ) |  |


MATHLIB: cossp.h Source File

cossp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* cossp.h - single precision floating point cosine                        */
00039 /*              optimized hand ASM single sample                           */
00040 /* ======================================================================= */
00041
00042 #ifndef COSSP_H_
00043 #define COSSP_H_ 1
00044
00045 #if defined (_TMS320C6600)
00046 #include <ti/mathlib/src/cossp/c66/cossp.h>
00047 #include <ti/mathlib/src/cossp/c66/cossp_i.h>
00048 #elif defined (_TMS320C6740)
00049 #include <ti/mathlib/src/cossp/c674/cossp.h>
00050 #include <ti/mathlib/src/cossp/c674/cossp_i.h>
00051 #else
00052 #error invalid target
00053 #endif
00054
00055 /* Provide prototype for vector version */
00056 void cossp_v (const float a[], float output[], int size);
00057
00058 #endif /* COSSP_H_ */
00059
00060 /* ======================================================================== */
00061 /*  End of file: cossp.h                                                    */
00062 /* ======================================================================= */
00063


MATHLIB: divdp.h File Reference

divdp.h File Reference

Go to the source code of this file.

Defines

#define | DIVDP_H_ 1

Functions

void | divdp_v (const double a[], const double b[], double output[], int size)

Define Documentation

#define DIVDP_H_ 1

Definition at line 43 of file divdp.h.

Function Documentation

void divdp_v | ( | const double | a[],
 |  | const double | b[],
 |  | double | output[],
 |  | int | size
 | ) |  |


MATHLIB: divdp.h Source File

divdp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* divdp.h - double precision floating point divide                        */
00039 /*              optimized hand ASM single sample                           */
00040 /* ======================================================================= */
00041
00042 #ifndef DIVDP_H_
00043 #define DIVDP_H_ 1
00044
00045 #if defined (_TMS320C6600)
00046 #include <ti/mathlib/src/divdp/c66/divdp.h>
00047 #include <ti/mathlib/src/divdp/c66/divdp_i.h>
00048 #elif defined (_TMS320C6740)
00049 #include <ti/mathlib/src/divdp/c674/divdp.h>
00050 #include <ti/mathlib/src/divdp/c674/divdp_i.h>
00051 #else
00052 #error invalid target
00053 #endif
00054
00055 /* Provide prototype for vector version */
00056 void divdp_v (const double a[], const double b[], double output[], int size);
00057
00058 #endif /* DIVDP_H_ */
00059
00060 /* ======================================================================== */
00061 /*  End of file: divdp.h                                                    */
00062 /* ======================================================================== */


MATHLIB: divsp.h File Reference

divsp.h File Reference

Go to the source code of this file.

Defines

#define | DIVSP_H_ 1

Functions

void | divsp_v (const float a[], const float b[], float output[], int size)

Define Documentation

#define DIVSP_H_ 1

Definition at line 43 of file divsp.h.

Function Documentation

void divsp_v | ( | const float | a[],
 |  | const float | b[],
 |  | float | output[],
 |  | int | size
 | ) |  |


MATHLIB: divsp.h Source File

divsp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* divsp.h - single precision floating point divide                        */
00039 /*              optimized hand ASM single sample                           */
00040 /* ======================================================================= */
00041
00042 #ifndef DIVSP_H_
00043 #define DIVSP_H_ 1
00044
00045 #if defined (_TMS320C6600)
00046 #include <ti/mathlib/src/divsp/c66/divsp.h>
00047 #include <ti/mathlib/src/divsp/c66/divsp_i.h>
00048 #elif defined (_TMS320C6740)
00049 #include <ti/mathlib/src/divsp/c674/divsp.h>
00050 #include <ti/mathlib/src/divsp/c674/divsp_i.h>
00051 #else
00052 #error invalid target
00053 #endif
00054
00055 /* Provide prototype for vector version */
00056 void divsp_v (const float a[], const float b[], float output[], int size);
00057
00058 #endif /* DIVSP_H_ */
00059
00060 /* ======================================================================== */
00061 /*  End of file: divsp.h                                                    */
00062 /* ======================================================================== */


MATHLIB: Double Precision

MATHLIB Function Reference

Double Precision

This section provides a description of the functions that are double precision.

Double Precision Functions

The routines included in the Math library are provided as both single- and double-precision versions. DP is used to identify the double-precision functions.

  • Acosdp
  • Acoshdp
  • Asindp
  • Asinhdp
  • Atan2dp
  • Atandp
  • Cosdp
  • Coshdp
  • Divdp
  • Exp10dp
  • Exp2dp
  • Expdp
  • Log10dp
  • Log2dp
  • Logdp
  • Powdp
  • Recipdp
  • Rsqrtdp
  • Sindp
  • Sinhdp
  • Sqrtdp
  • Tandp
  • Tanhdp


MATHLIB: doxygen.h File Reference

doxygen.h File Reference

Go to the source code of this file.


MATHLIB: doxygen.h Source File

doxygen.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *   Doxygen generation header file                                         *
00005  *                                                                          *
00006  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00007  *                                                                          *
00008  *                                                                          *
00009  *  Redistribution and use in source and binary forms, with or without      *
00010  *  modification, are permitted provided that the following conditions      *
00011  *  are met:                                                                *
00012  *                                                                          *
00013  *    Redistributions of source code must retain the above copyright        *
00014  *    notice, this list of conditions and the following disclaimer.         *
00015  *                                                                          *
00016  *    Redistributions in binary form must reproduce the above copyright     *
00017  *    notice, this list of conditions and the following disclaimer in the   *
00018  *    documentation and/or other materials provided with the                *
00019  *    distribution.                                                         *
00020  *                                                                          *
00021  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00022  *    its contributors may be used to endorse or promote products derived   *
00023  *    from this software without specific prior written permission.         *
00024  *                                                                          *
00025  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00026  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00027  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00028  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00029  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00030  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00031  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00032  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00033  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00034  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00035  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00036  * ======================================================================== */
00037


MATHLIB: exp2dp.h File Reference

exp2dp.h File Reference

Go to the source code of this file.

Defines

#define | EXP2DP_H_ 1

Functions

void | exp2dp_v (const double a[], double output[], int size)

Define Documentation

#define EXP2DP_H_ 1

Definition at line 42 of file exp2dp.h.

Function Documentation

void exp2dp_v | ( | const double | a[],
 |  | double | output[],
 |  | int | size
 | ) |  |


MATHLIB: exp2dp.h Source File

exp2dp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* exp2dp.h - double Precision Exponential Base 2                          */
00039 /* ======================================================================= */
00040
00041 #ifndef EXP2DP_H_
00042 #define EXP2DP_H_ 1
00043
00044 #if defined (_TMS320C6600)
00045 #include <ti/mathlib/src/exp2dp/c66/exp2dp.h>
00046 #include <ti/mathlib/src/exp2dp/c66/exp2dp_i.h>
00047 #elif defined (_TMS320C6740)
00048 #include <ti/mathlib/src/exp2dp/c674/exp2dp.h>
00049 #include <ti/mathlib/src/exp2dp/c674/exp2dp_i.h>
00050 #else
00051 #error invalid target
00052 #endif
00053
00054 /* Provide prototype for vector version */
00055 void exp2dp_v (const double a[], double output[], int size);
00056
00057 #endif /* EXP2DP_H_ */
00058
00059 /* ======================================================================== */
00060 /*  End of file: exp2dp.h                                                   */
00061 /* ======================================================================== */


MATHLIB: exp2sp.h File Reference

exp2sp.h File Reference

Go to the source code of this file.

Defines

#define | EXP2SP_H_ 1

Functions

void | exp2sp_v (const float a[], float output[], int size)

Define Documentation

#define EXP2SP_H_ 1

Definition at line 42 of file exp2sp.h.

Function Documentation

void exp2sp_v | ( | const float | a[],
 |  | float | output[],
 |  | int | size
 | ) |  |


MATHLIB: exp2sp.h Source File

exp2sp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* exp2sp.h - Single Precision Exponential Base 2                          */
00039 /* ======================================================================= */
00040
00041 #ifndef EXP2SP_H_
00042 #define EXP2SP_H_ 1
00043
00044 #if defined (_TMS320C6600)
00045 #include <ti/mathlib/src/exp2sp/c66/exp2sp.h>
00046 #include <ti/mathlib/src/exp2sp/c66/exp2sp_i.h>
00047 #elif defined (_TMS320C6740)
00048 #include <ti/mathlib/src/exp2sp/c674/exp2sp.h>
00049 #include <ti/mathlib/src/exp2sp/c674/exp2sp_i.h>
00050 #else
00051 #error invalid target
00052 #endif
00053
00054 /* Provide prototype for vector version */
00055 void exp2sp_v (const float a[], float output[], int size);
00056
00057 #endif /* EXP2SP_H_ */
00058
00059 /* ======================================================================== */
00060 /*  End of file: exp2sp.h                                                    */
00061 /* ======================================================================== */


MATHLIB: exp10dp.h File Reference

exp10dp.h File Reference

Go to the source code of this file.

Defines

#define | EXP10DP_H_ 1

Functions

void | exp10dp_v (const double a[], double output[], int size)

Define Documentation

#define EXP10DP_H_ 1

Definition at line 42 of file exp10dp.h.

Function Documentation

void exp10dp_v | ( | const double | a[],
 |  | double | output[],
 |  | int | size
 | ) |  |


MATHLIB: exp10dp.h Source File

exp10dp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* exp10dp.h - double Precision Exponential Base 10                        */
00039 /* ======================================================================= */
00040
00041 #ifndef EXP10DP_H_
00042 #define EXP10DP_H_ 1
00043
00044 #if defined (_TMS320C6600)
00045 #include <ti/mathlib/src/exp10dp/c66/exp10dp.h>
00046 #include <ti/mathlib/src/exp10dp/c66/exp10dp_i.h>
00047 #elif defined (_TMS320C6740)
00048 #include <ti/mathlib/src/exp10dp/c674/exp10dp.h>
00049 #include <ti/mathlib/src/exp10dp/c674/exp10dp_i.h>
00050 #else
00051 #error invalid target
00052 #endif
00053
00054 /* Provide prototype for vector version */
00055 void exp10dp_v (const double a[], double output[], int size);
00056
00057 #endif /* EXP10DP_H_ */
00058
00059 /* ======================================================================== */
00060 /*  End of file: exp10dp.h                                                  */
00061 /* ======================================================================== */


MATHLIB: exp10sp.h File Reference

exp10sp.h File Reference

Go to the source code of this file.

Defines

#define | EXP10SP_H_ 1

Functions

void | exp10sp_v (const float a[], float output[], int size)

Define Documentation

#define EXP10SP_H_ 1

Definition at line 42 of file exp10sp.h.

Function Documentation

void exp10sp_v | ( | const float | a[],
 |  | float | output[],
 |  | int | size
 | ) |  |


MATHLIB: exp10sp.h Source File

exp10sp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* exp10sp.h - Single Precision Exponential Base 10                        */
00039 /* ======================================================================= */
00040
00041 #ifndef EXP10SP_H_
00042 #define EXP10SP_H_ 1
00043
00044 #if defined (_TMS320C6600)
00045 #include <ti/mathlib/src/exp10sp/c66/exp10sp.h>
00046 #include <ti/mathlib/src/exp10sp/c66/exp10sp_i.h>
00047 #elif defined (_TMS320C6740)
00048 #include <ti/mathlib/src/exp10sp/c674/exp10sp.h>
00049 #include <ti/mathlib/src/exp10sp/c674/exp10sp_i.h>
00050 #else
00051 #error invalid target
00052 #endif
00053
00054 /* Provide prototype for vector version */
00055 void exp10sp_v (const float a[], float output[], int size);
00056
00057 #endif /* EXP10SP_H_ */
00058
00059 /* ======================================================================== */
00060 /*  End of file: exp10sp.h                                                  */
00061 /* ======================================================================== */


MATHLIB: expdp.h File Reference

expdp.h File Reference

Go to the source code of this file.

Defines

#define | EXPDP_H_ 1

Functions

void | expdp_v (const double a[], double output[], int size)

Define Documentation

#define EXPDP_H_ 1

Definition at line 42 of file expdp.h.

Function Documentation

void expdp_v | ( | const double | a[],
 |  | double | output[],
 |  | int | size
 | ) |  |


MATHLIB: expdp.h Source File

expdp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* expdp.h - double precision exponential                                  */
00039 /* ======================================================================= */
00040
00041 #ifndef EXPDP_H_
00042 #define EXPDP_H_ 1
00043
00044 #if defined (_TMS320C6600)
00045 #include <ti/mathlib/src/expdp/c66/expdp.h>
00046 #include <ti/mathlib/src/expdp/c66/expdp_i.h>
00047 #elif defined (_TMS320C6740)
00048 #include <ti/mathlib/src/expdp/c674/expdp.h>
00049 #include <ti/mathlib/src/expdp/c674/expdp_i.h>
00050 #else
00051 #error invalid target
00052 #endif
00053
00054 /* Provide prototype for vector version */
00055 void expdp_v (const double a[], double output[], int size);
00056
00057 #endif /* EXPDP_H_ */
00058
00059 /* ======================================================================== */
00060 /*  End of file: expdp.h                                                    */
00061 /* ======================================================================== */


MATHLIB: expsp.h File Reference

expsp.h File Reference

Go to the source code of this file.

Defines

#define | EXPSP_H_ 1

Functions

void | expsp_v (const float a[], float output[], int size)

Define Documentation

#define EXPSP_H_ 1

Definition at line 42 of file expsp.h.

Function Documentation

void expsp_v | ( | const float | a[],
 |  | float | output[],
 |  | int | size
 | ) |  |


MATHLIB: expsp.h Source File

expsp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* expsp.h - Single Precision Exponential                                  */
00039 /* ======================================================================= */
00040
00041 #ifndef EXPSP_H_
00042 #define EXPSP_H_ 1
00043
00044 #if defined (_TMS320C6600)
00045 #include <ti/mathlib/src/expsp/c66/expsp.h>
00046 #include <ti/mathlib/src/expsp/c66/expsp_i.h>
00047 #elif defined (_TMS320C6740)
00048 #include <ti/mathlib/src/expsp/c674/expsp.h>
00049 #include <ti/mathlib/src/expsp/c674/expsp_i.h>
00050 #else
00051 #error invalid target
00052 #endif
00053
00054 /* Provide prototype for vector version */
00055 void expsp_v (const float a[], float output[], int size);
00056
00057 #endif /* EXPSP_H_ */
00058
00059 /* ======================================================================== */
00060 /*  End of file: expsp.h                                                    */
00061 /* ======================================================================== */


MATHLIB: File Index

MATHLIB File List

Here is a list of all files with brief descriptions:
acosdp.h [code]
c66/acosdp.h [code]
acoshdp.h [code]
c66/acoshdp.h [code]
acoshsp.h [code]
c66/acoshsp.h [code]
acossp.h [code]
c66/acossp.h [code]
asindp.h [code]
c66/asindp.h [code]
asinhdp.h [code]
c66/asinhdp.h [code]
asinhsp.h [code]
c66/asinhsp.h [code]
asinsp.h [code]
c66/asinsp.h [code]
atan2dp.h [code]
c66/atan2dp.h [code]
atan2sp.h [code]
c66/atan2sp.h [code]
atandp.h [code]
c66/atandp.h [code]
atanhdp.h [code]
c66/atanhdp.h [code]
atanhsp.h [code]
c66/atanhsp.h [code]
atansp.h [code]
c66/atansp.h [code]
cosdp.h [code]
c66/cosdp.h [code]
coshdp.h [code]
c66/coshdp.h [code]
coshsp.h [code]
c66/coshsp.h [code]
cossp.h [code]
c66/cossp.h [code]
divdp.h [code]
c66/divdp.h [code]
divsp.h [code]
c66/divsp.h [code]
doxygen.h [code]
exp10dp.h [code]
c66/exp10dp.h [code]
exp10sp.h [code]
c66/exp10sp.h [code]
exp2dp.h [code]
c66/exp2dp.h [code]
exp2sp.h [code]
c66/exp2sp.h [code]
expdp.h [code]
c66/expdp.h [code]
expsp.h [code]
c66/expsp.h [code]
log10dp.h [code]
c66/log10dp.h [code]
log10sp.h [code]
c66/log10sp.h [code]
log2dp.h [code]
c66/log2dp.h [code]
log2sp.h [code]
c66/log2sp.h [code]
logdp.h [code]
c66/logdp.h [code]
logsp.h [code]
c66/logsp.h [code]
powdp.h [code]
c66/powdp.h [code]
powsp.h [code]
c66/powsp.h [code]
recipdp.h [code]
c66/recipdp.h [code]
recipsp.h [code]
c66/recipsp.h [code]
rsqrtdp.h [code]
c66/rsqrtdp.h [code]
rsqrtsp.h [code]
c66/rsqrtsp.h [code]
sindp.h [code]
c66/sindp.h [code]
sinhdp.h [code]
c66/sinhdp.h [code]
sinhsp.h [code]
c66/sinhsp.h [code]
sinsp.h [code]
c66/sinsp.h [code]
sqrtdp.h [code]
c66/sqrtdp.h [code]
sqrtsp.h [code]
c66/sqrtsp.h [code]
tandp.h [code]
c66/tandp.h [code]
tanhdp.h [code]
c66/tanhdp.h [code]
tanhsp.h [code]
c66/tanhsp.h [code]
tansp.h [code]
c66/tansp.h [code]


MATHLIB: Data Fields

  • All
  • Functions
  • Defines
  • a
  • c
  • d
  • e
  • l
  • p
  • r
  • s
  • t

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- a -

  • acosdp() : c66/acosdp.h
  • acosdp_c() : c66/acosdp.h
  • ACOSDP_H_ : acosdp.h
  • acosdp_v() : acosdp.h
  • acoshdp() : c66/acoshdp.h
  • acoshdp_c() : c66/acoshdp.h
  • ACOSHDP_H_ : acoshdp.h
  • acoshdp_v() : acoshdp.h
  • acoshsp() : c66/acoshsp.h
  • acoshsp_c() : c66/acoshsp.h
  • ACOSHSP_H_ : acoshsp.h
  • acoshsp_v() : acoshsp.h
  • acossp() : c66/acossp.h
  • acossp_c() : c66/acossp.h
  • ACOSSP_H_ : acossp.h
  • acossp_v() : acossp.h
  • asindp() : c66/asindp.h
  • asindp_c() : c66/asindp.h
  • ASINDP_H_ : asindp.h
  • asindp_v() : asindp.h
  • asinhdp() : c66/asinhdp.h
  • asinhdp_c() : c66/asinhdp.h
  • ASINHDP_H_ : asinhdp.h
  • asinhdp_v() : asinhdp.h
  • asinhsp() : c66/asinhsp.h
  • asinhsp_c() : c66/asinhsp.h
  • ASINHSP_H_ : asinhsp.h
  • asinhsp_v() : asinhsp.h
  • asinsp() : c66/asinsp.h
  • asinsp_c() : c66/asinsp.h
  • ASINSP_H_ : asinsp.h
  • asinsp_v() : asinsp.h
  • atan2dp() : c66/atan2dp.h
  • atan2dp_c() : c66/atan2dp.h
  • ATAN2DP_H_ : atan2dp.h
  • atan2dp_v() : atan2dp.h
  • atan2sp() : c66/atan2sp.h
  • atan2sp_c() : c66/atan2sp.h
  • ATAN2SP_H_ : atan2sp.h
  • atan2sp_v() : atan2sp.h
  • atandp() : c66/atandp.h
  • atandp_c() : c66/atandp.h
  • ATANDP_H_ : atandp.h
  • atandp_v() : atandp.h
  • atanhdp() : c66/atanhdp.h
  • atanhdp_c() : c66/atanhdp.h
  • ATANHDP_H_ : atanhdp.h
  • atanhdp_v() : atanhdp.h
  • atanhsp() : c66/atanhsp.h
  • atanhsp_c() : c66/atanhsp.h
  • ATANHSP_H_ : atanhsp.h
  • atanhsp_v() : atanhsp.h
  • atansp() : c66/atansp.h
  • atansp_c() : c66/atansp.h
  • ATANSP_H_ : atansp.h
  • atansp_v() : atansp.h


MATHLIB: Data Fields

  • All
  • Functions
  • Defines
  • a
  • c
  • d
  • e
  • l
  • p
  • r
  • s
  • t

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- l -

  • log10dp() : c66/log10dp.h
  • log10dp_c() : c66/log10dp.h
  • LOG10DP_H_ : log10dp.h
  • log10dp_v() : log10dp.h
  • log10sp() : c66/log10sp.h
  • log10sp_c() : c66/log10sp.h
  • LOG10SP_H_ : log10sp.h
  • log10sp_v() : log10sp.h
  • log2dp() : c66/log2dp.h
  • log2dp_c() : c66/log2dp.h
  • LOG2DP_H_ : log2dp.h
  • log2dp_v() : log2dp.h
  • log2sp() : c66/log2sp.h
  • log2sp_c() : c66/log2sp.h
  • LOG2SP_H_ : log2sp.h
  • log2sp_v() : log2sp.h
  • logdp() : c66/logdp.h
  • logdp_c() : c66/logdp.h
  • LOGDP_H_ : logdp.h
  • logdp_v() : logdp.h
  • logsp() : c66/logsp.h
  • logsp_c() : c66/logsp.h
  • LOGSP_H_ : logsp.h
  • logsp_v() : logsp.h


MATHLIB: Data Fields

  • All
  • Functions
  • Defines
  • a
  • c
  • d
  • e
  • l
  • p
  • r
  • s
  • t

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- c -

  • C66_ACOSDP_H_ : c66/acosdp.h
  • C66_ACOSHDP_H_ : c66/acoshdp.h
  • C66_ACOSHSP_H_ : c66/acoshsp.h
  • C66_ACOSSP_H_ : c66/acossp.h
  • C66_ASINDP_H_ : c66/asindp.h
  • C66_ASINHDP_H_ : c66/asinhdp.h
  • C66_ASINHSP_H_ : c66/asinhsp.h
  • C66_ASINSP_H_ : c66/asinsp.h
  • C66_ATAN2DP_H_ : c66/atan2dp.h
  • C66_ATAN2SP_H_ : c66/atan2sp.h
  • C66_ATANDP_H_ : c66/atandp.h
  • C66_ATANHDP_H_ : c66/atanhdp.h
  • C66_ATANHSP_H_ : c66/atanhsp.h
  • C66_ATANSP_H_ : c66/atansp.h
  • C66_COSDP_H_ : c66/cosdp.h
  • C66_COSHDP_H_ : c66/coshdp.h
  • C66_COSHSP_H_ : c66/coshsp.h
  • C66_COSSP_H_ : c66/cossp.h
  • C66_DIVDP_H_ : c66/divdp.h
  • C66_DIVSP_H_ : c66/divsp.h
  • C66_EXP10DP_H_ : c66/exp10dp.h
  • C66_EXP10SP_H_ : c66/exp10sp.h
  • C66_EXP2DP_H_ : c66/exp2dp.h
  • C66_EXP2SP_H_ : c66/exp2sp.h
  • C66_EXPDP_H_ : c66/expdp.h
  • C66_EXPSP_H_ : c66/expsp.h
  • C66_LOG10DP_H_ : c66/log10dp.h
  • C66_LOG10SP_H_ : c66/log10sp.h
  • C66_LOG2DP_H_ : c66/log2dp.h
  • C66_LOG2SP_H_ : c66/log2sp.h
  • C66_LOGDP_H_ : c66/logdp.h
  • C66_LOGSP_H_ : c66/logsp.h
  • C66_POWDP_H_ : c66/powdp.h
  • C66_POWSP_H_ : c66/powsp.h
  • C66_RECIPDP_H_ : c66/recipdp.h
  • C66_RECIPSP_H_ : c66/recipsp.h
  • C66_RSQRTDP_H_ : c66/rsqrtdp.h
  • C66_RSQRTSP_H_ : c66/rsqrtsp.h
  • C66_SINDP_H_ : c66/sindp.h
  • C66_SINHDP_H_ : c66/sinhdp.h
  • C66_SINHSP_H_ : c66/sinhsp.h
  • C66_SINSP_H_ : c66/sinsp.h
  • C66_SQRTDP_H_ : c66/sqrtdp.h
  • C66_SQRTSP_H_ : c66/sqrtsp.h
  • C66_TANDP_H_ : c66/tandp.h
  • C66_TANHDP_H_ : c66/tanhdp.h
  • C66_TANHSP_H_ : c66/tanhsp.h
  • C66_TANSP_H_ : c66/tansp.h
  • cosdp() : c66/cosdp.h
  • cosdp_c() : c66/cosdp.h
  • COSDP_H_ : cosdp.h
  • cosdp_v() : cosdp.h
  • coshdp() : c66/coshdp.h
  • coshdp_c() : c66/coshdp.h
  • COSHDP_H_ : coshdp.h
  • coshdp_v() : coshdp.h
  • coshsp() : c66/coshsp.h
  • coshsp_c() : c66/coshsp.h
  • COSHSP_H_ : coshsp.h
  • coshsp_v() : coshsp.h
  • cossp() : c66/cossp.h
  • cossp_c() : c66/cossp.h
  • COSSP_H_ : cossp.h
  • cossp_v() : cossp.h


MATHLIB: Data Fields

  • All
  • Functions
  • Defines
  • a
  • c
  • d
  • e
  • l
  • p
  • r
  • s
  • t

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- d -

  • divdp() : c66/divdp.h
  • divdp_c() : c66/divdp.h
  • DIVDP_H_ : divdp.h
  • divdp_v() : divdp.h
  • divsp() : c66/divsp.h
  • divsp_c() : c66/divsp.h
  • DIVSP_H_ : divsp.h
  • divsp_v() : divsp.h


MATHLIB: Data Fields

  • All
  • Functions
  • Defines
  • a
  • c
  • d
  • e
  • l
  • p
  • r
  • s
  • t

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- e -

  • exp10dp() : c66/exp10dp.h
  • exp10dp_c() : c66/exp10dp.h
  • EXP10DP_H_ : exp10dp.h
  • exp10dp_v() : exp10dp.h
  • exp10sp() : c66/exp10sp.h
  • exp10sp_c() : c66/exp10sp.h
  • EXP10SP_H_ : exp10sp.h
  • exp10sp_v() : exp10sp.h
  • exp2dp() : c66/exp2dp.h
  • exp2dp_c() : c66/exp2dp.h
  • EXP2DP_H_ : exp2dp.h
  • exp2dp_v() : exp2dp.h
  • exp2sp() : c66/exp2sp.h
  • exp2sp_c() : c66/exp2sp.h
  • EXP2SP_H_ : exp2sp.h
  • exp2sp_v() : exp2sp.h
  • expdp() : c66/expdp.h
  • expdp_c() : c66/expdp.h
  • EXPDP_H_ : expdp.h
  • expdp_v() : expdp.h
  • expsp() : c66/expsp.h
  • expsp_c() : c66/expsp.h
  • EXPSP_H_ : expsp.h
  • expsp_v() : expsp.h


MATHLIB: Data Fields

  • All
  • Functions
  • Defines
  • a
  • c
  • d
  • e
  • l
  • p
  • r
  • s
  • t

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- p -

  • powdp() : c66/powdp.h
  • powdp_c() : c66/powdp.h
  • POWDP_H_ : powdp.h
  • powdp_v() : powdp.h
  • powsp() : c66/powsp.h
  • powsp_c() : c66/powsp.h
  • POWSP_H_ : powsp.h
  • powsp_v() : powsp.h


MATHLIB: Data Fields

  • All
  • Functions
  • Defines
  • a
  • c
  • d
  • e
  • l
  • p
  • r
  • s
  • t

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- r -

  • recipdp() : c66/recipdp.h
  • recipdp_c() : c66/recipdp.h
  • RECIPDP_H_ : recipdp.h
  • recipdp_v() : recipdp.h
  • recipsp() : c66/recipsp.h
  • recipsp_c() : c66/recipsp.h
  • RECIPSP_H_ : recipsp.h
  • recipsp_v() : recipsp.h
  • rsqrtdp() : c66/rsqrtdp.h
  • rsqrtdp_c() : c66/rsqrtdp.h
  • RSQRTDP_H_ : rsqrtdp.h
  • rsqrtdp_v() : rsqrtdp.h
  • rsqrtsp() : c66/rsqrtsp.h
  • rsqrtsp_c() : c66/rsqrtsp.h
  • RSQRTSP_H_ : rsqrtsp.h
  • rsqrtsp_v() : rsqrtsp.h


MATHLIB: Data Fields

  • All
  • Functions
  • Defines
  • a
  • c
  • d
  • e
  • l
  • p
  • r
  • s
  • t

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- s -

  • sindp() : c66/sindp.h
  • sindp_c() : c66/sindp.h
  • SINDP_H_ : sindp.h
  • sindp_v() : sindp.h
  • sinhdp() : c66/sinhdp.h
  • sinhdp_c() : c66/sinhdp.h
  • SINHDP_H_ : sinhdp.h
  • sinhdp_v() : sinhdp.h
  • sinhsp() : c66/sinhsp.h
  • sinhsp_c() : c66/sinhsp.h
  • SINHSP_H_ : sinhsp.h
  • sinhsp_v() : sinhsp.h
  • sinsp() : c66/sinsp.h
  • sinsp_c() : c66/sinsp.h
  • SINSP_H_ : sinsp.h
  • sinsp_v() : sinsp.h
  • sqrtdp() : c66/sqrtdp.h
  • sqrtdp_c() : c66/sqrtdp.h
  • SQRTDP_H_ : sqrtdp.h
  • sqrtdp_v() : sqrtdp.h
  • sqrtsp() : c66/sqrtsp.h
  • sqrtsp_c() : c66/sqrtsp.h
  • SQRTSP_H_ : sqrtsp.h
  • sqrtsp_v() : sqrtsp.h


MATHLIB: Data Fields

  • All
  • Functions
  • Defines
  • a
  • c
  • d
  • e
  • l
  • p
  • r
  • s
  • t

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- t -

  • tandp() : c66/tandp.h
  • tandp_c() : c66/tandp.h
  • TANDP_H_ : tandp.h
  • tandp_v() : tandp.h
  • tanhdp() : c66/tanhdp.h
  • tanhdp_c() : c66/tanhdp.h
  • TANHDP_H_ : tanhdp.h
  • tanhdp_v() : tanhdp.h
  • tanhsp() : c66/tanhsp.h
  • tanhsp_c() : c66/tanhsp.h
  • TANHSP_H_ : tanhsp.h
  • tanhsp_v() : tanhsp.h
  • tansp() : c66/tansp.h
  • tansp_c() : c66/tansp.h
  • TANSP_H_ : tansp.h
  • tansp_v() : tansp.h


MATHLIB: Data Fields

  • All
  • Functions
  • Defines
  • a
  • c
  • d
  • e
  • l
  • p
  • r
  • s
  • t

- a -

  • ACOSDP_H_ : acosdp.h
  • ACOSHDP_H_ : acoshdp.h
  • ACOSHSP_H_ : acoshsp.h
  • ACOSSP_H_ : acossp.h
  • ASINDP_H_ : asindp.h
  • ASINHDP_H_ : asinhdp.h
  • ASINHSP_H_ : asinhsp.h
  • ASINSP_H_ : asinsp.h
  • ATAN2DP_H_ : atan2dp.h
  • ATAN2SP_H_ : atan2sp.h
  • ATANDP_H_ : atandp.h
  • ATANHDP_H_ : atanhdp.h
  • ATANHSP_H_ : atanhsp.h
  • ATANSP_H_ : atansp.h

- c -

  • C66_ACOSDP_H_ : c66/acosdp.h
  • C66_ACOSHDP_H_ : c66/acoshdp.h
  • C66_ACOSHSP_H_ : c66/acoshsp.h
  • C66_ACOSSP_H_ : c66/acossp.h
  • C66_ASINDP_H_ : c66/asindp.h
  • C66_ASINHDP_H_ : c66/asinhdp.h
  • C66_ASINHSP_H_ : c66/asinhsp.h
  • C66_ASINSP_H_ : c66/asinsp.h
  • C66_ATAN2DP_H_ : c66/atan2dp.h
  • C66_ATAN2SP_H_ : c66/atan2sp.h
  • C66_ATANDP_H_ : c66/atandp.h
  • C66_ATANHDP_H_ : c66/atanhdp.h
  • C66_ATANHSP_H_ : c66/atanhsp.h
  • C66_ATANSP_H_ : c66/atansp.h
  • C66_COSDP_H_ : c66/cosdp.h
  • C66_COSHDP_H_ : c66/coshdp.h
  • C66_COSHSP_H_ : c66/coshsp.h
  • C66_COSSP_H_ : c66/cossp.h
  • C66_DIVDP_H_ : c66/divdp.h
  • C66_DIVSP_H_ : c66/divsp.h
  • C66_EXP10DP_H_ : c66/exp10dp.h
  • C66_EXP10SP_H_ : c66/exp10sp.h
  • C66_EXP2DP_H_ : c66/exp2dp.h
  • C66_EXP2SP_H_ : c66/exp2sp.h
  • C66_EXPDP_H_ : c66/expdp.h
  • C66_EXPSP_H_ : c66/expsp.h
  • C66_LOG10DP_H_ : c66/log10dp.h
  • C66_LOG10SP_H_ : c66/log10sp.h
  • C66_LOG2DP_H_ : c66/log2dp.h
  • C66_LOG2SP_H_ : c66/log2sp.h
  • C66_LOGDP_H_ : c66/logdp.h
  • C66_LOGSP_H_ : c66/logsp.h
  • C66_POWDP_H_ : c66/powdp.h
  • C66_POWSP_H_ : c66/powsp.h
  • C66_RECIPDP_H_ : c66/recipdp.h
  • C66_RECIPSP_H_ : c66/recipsp.h
  • C66_RSQRTDP_H_ : c66/rsqrtdp.h
  • C66_RSQRTSP_H_ : c66/rsqrtsp.h
  • C66_SINDP_H_ : c66/sindp.h
  • C66_SINHDP_H_ : c66/sinhdp.h
  • C66_SINHSP_H_ : c66/sinhsp.h
  • C66_SINSP_H_ : c66/sinsp.h
  • C66_SQRTDP_H_ : c66/sqrtdp.h
  • C66_SQRTSP_H_ : c66/sqrtsp.h
  • C66_TANDP_H_ : c66/tandp.h
  • C66_TANHDP_H_ : c66/tanhdp.h
  • C66_TANHSP_H_ : c66/tanhsp.h
  • C66_TANSP_H_ : c66/tansp.h
  • COSDP_H_ : cosdp.h
  • COSHDP_H_ : coshdp.h
  • COSHSP_H_ : coshsp.h
  • COSSP_H_ : cossp.h

- d -

  • DIVDP_H_ : divdp.h
  • DIVSP_H_ : divsp.h

- e -

  • EXP10DP_H_ : exp10dp.h
  • EXP10SP_H_ : exp10sp.h
  • EXP2DP_H_ : exp2dp.h
  • EXP2SP_H_ : exp2sp.h
  • EXPDP_H_ : expdp.h
  • EXPSP_H_ : expsp.h

- l -

  • LOG10DP_H_ : log10dp.h
  • LOG10SP_H_ : log10sp.h
  • LOG2DP_H_ : log2dp.h
  • LOG2SP_H_ : log2sp.h
  • LOGDP_H_ : logdp.h
  • LOGSP_H_ : logsp.h

- p -

  • POWDP_H_ : powdp.h
  • POWSP_H_ : powsp.h

- r -

  • RECIPDP_H_ : recipdp.h
  • RECIPSP_H_ : recipsp.h
  • RSQRTDP_H_ : rsqrtdp.h
  • RSQRTSP_H_ : rsqrtsp.h

- s -

  • SINDP_H_ : sindp.h
  • SINHDP_H_ : sinhdp.h
  • SINHSP_H_ : sinhsp.h
  • SINSP_H_ : sinsp.h
  • SQRTDP_H_ : sqrtdp.h
  • SQRTSP_H_ : sqrtsp.h

- t -

  • TANDP_H_ : tandp.h
  • TANHDP_H_ : tanhdp.h
  • TANHSP_H_ : tanhsp.h
  • TANSP_H_ : tansp.h


MATHLIB: Data Fields

  • All
  • Functions
  • Defines
  • a
  • c
  • d
  • e
  • l
  • p
  • r
  • s
  • t

- a -

  • acosdp() : c66/acosdp.h
  • acosdp_c() : c66/acosdp.h
  • acosdp_v() : acosdp.h
  • acoshdp() : c66/acoshdp.h
  • acoshdp_c() : c66/acoshdp.h
  • acoshdp_v() : acoshdp.h
  • acoshsp() : c66/acoshsp.h
  • acoshsp_c() : c66/acoshsp.h
  • acoshsp_v() : acoshsp.h
  • acossp() : c66/acossp.h
  • acossp_c() : c66/acossp.h
  • acossp_v() : acossp.h
  • asindp() : c66/asindp.h
  • asindp_c() : c66/asindp.h
  • asindp_v() : asindp.h
  • asinhdp() : c66/asinhdp.h
  • asinhdp_c() : c66/asinhdp.h
  • asinhdp_v() : asinhdp.h
  • asinhsp() : c66/asinhsp.h
  • asinhsp_c() : c66/asinhsp.h
  • asinhsp_v() : asinhsp.h
  • asinsp() : c66/asinsp.h
  • asinsp_c() : c66/asinsp.h
  • asinsp_v() : asinsp.h
  • atan2dp() : c66/atan2dp.h
  • atan2dp_c() : c66/atan2dp.h
  • atan2dp_v() : atan2dp.h
  • atan2sp() : c66/atan2sp.h
  • atan2sp_c() : c66/atan2sp.h
  • atan2sp_v() : atan2sp.h
  • atandp() : c66/atandp.h
  • atandp_c() : c66/atandp.h
  • atandp_v() : atandp.h
  • atanhdp() : c66/atanhdp.h
  • atanhdp_c() : c66/atanhdp.h
  • atanhdp_v() : atanhdp.h
  • atanhsp() : c66/atanhsp.h
  • atanhsp_c() : c66/atanhsp.h
  • atanhsp_v() : atanhsp.h
  • atansp() : c66/atansp.h
  • atansp_c() : c66/atansp.h
  • atansp_v() : atansp.h

- c -

  • cosdp() : c66/cosdp.h
  • cosdp_c() : c66/cosdp.h
  • cosdp_v() : cosdp.h
  • coshdp() : c66/coshdp.h
  • coshdp_c() : c66/coshdp.h
  • coshdp_v() : coshdp.h
  • coshsp() : c66/coshsp.h
  • coshsp_c() : c66/coshsp.h
  • coshsp_v() : coshsp.h
  • cossp() : c66/cossp.h
  • cossp_c() : c66/cossp.h
  • cossp_v() : cossp.h

- d -

  • divdp() : c66/divdp.h
  • divdp_c() : c66/divdp.h
  • divdp_v() : divdp.h
  • divsp() : c66/divsp.h
  • divsp_c() : c66/divsp.h
  • divsp_v() : divsp.h

- e -

  • exp10dp() : c66/exp10dp.h
  • exp10dp_c() : c66/exp10dp.h
  • exp10dp_v() : exp10dp.h
  • exp10sp() : c66/exp10sp.h
  • exp10sp_c() : c66/exp10sp.h
  • exp10sp_v() : exp10sp.h
  • exp2dp() : c66/exp2dp.h
  • exp2dp_c() : c66/exp2dp.h
  • exp2dp_v() : exp2dp.h
  • exp2sp() : c66/exp2sp.h
  • exp2sp_c() : c66/exp2sp.h
  • exp2sp_v() : exp2sp.h
  • expdp() : c66/expdp.h
  • expdp_c() : c66/expdp.h
  • expdp_v() : expdp.h
  • expsp() : c66/expsp.h
  • expsp_c() : c66/expsp.h
  • expsp_v() : expsp.h

- l -

  • log10dp() : c66/log10dp.h
  • log10dp_c() : c66/log10dp.h
  • log10dp_v() : log10dp.h
  • log10sp() : c66/log10sp.h
  • log10sp_c() : c66/log10sp.h
  • log10sp_v() : log10sp.h
  • log2dp() : c66/log2dp.h
  • log2dp_c() : c66/log2dp.h
  • log2dp_v() : log2dp.h
  • log2sp() : c66/log2sp.h
  • log2sp_c() : c66/log2sp.h
  • log2sp_v() : log2sp.h
  • logdp() : c66/logdp.h
  • logdp_c() : c66/logdp.h
  • logdp_v() : logdp.h
  • logsp() : c66/logsp.h
  • logsp_c() : c66/logsp.h
  • logsp_v() : logsp.h

- p -

  • powdp() : c66/powdp.h
  • powdp_c() : c66/powdp.h
  • powdp_v() : powdp.h
  • powsp() : c66/powsp.h
  • powsp_c() : c66/powsp.h
  • powsp_v() : powsp.h

- r -

  • recipdp() : c66/recipdp.h
  • recipdp_c() : c66/recipdp.h
  • recipdp_v() : recipdp.h
  • recipsp() : c66/recipsp.h
  • recipsp_c() : c66/recipsp.h
  • recipsp_v() : recipsp.h
  • rsqrtdp() : c66/rsqrtdp.h
  • rsqrtdp_c() : c66/rsqrtdp.h
  • rsqrtdp_v() : rsqrtdp.h
  • rsqrtsp() : c66/rsqrtsp.h
  • rsqrtsp_c() : c66/rsqrtsp.h
  • rsqrtsp_v() : rsqrtsp.h

- s -

  • sindp() : c66/sindp.h
  • sindp_c() : c66/sindp.h
  • sindp_v() : sindp.h
  • sinhdp() : c66/sinhdp.h
  • sinhdp_c() : c66/sinhdp.h
  • sinhdp_v() : sinhdp.h
  • sinhsp() : c66/sinhsp.h
  • sinhsp_c() : c66/sinhsp.h
  • sinhsp_v() : sinhsp.h
  • sinsp() : c66/sinsp.h
  • sinsp_c() : c66/sinsp.h
  • sinsp_v() : sinsp.h
  • sqrtdp() : c66/sqrtdp.h
  • sqrtdp_c() : c66/sqrtdp.h
  • sqrtdp_v() : sqrtdp.h
  • sqrtsp() : c66/sqrtsp.h
  • sqrtsp_c() : c66/sqrtsp.h
  • sqrtsp_v() : sqrtsp.h

- t -

  • tandp() : c66/tandp.h
  • tandp_c() : c66/tandp.h
  • tandp_v() : tandp.h
  • tanhdp() : c66/tanhdp.h
  • tanhdp_c() : c66/tanhdp.h
  • tanhdp_v() : tanhdp.h
  • tanhsp() : c66/tanhsp.h
  • tanhsp_c() : c66/tanhsp.h
  • tanhsp_v() : tanhsp.h
  • tansp() : c66/tansp.h
  • tansp_c() : c66/tansp.h
  • tansp_v() : tansp.h


MATHLIB: Acosdp

Acosdp

Detailed Description

Functions

double | acosdp_c (double a)
double | acosdp (double a)

Function Documentation

double acosdp_c ( double a )

Description:
The acosdp function returns the arc cosine of a floating-point argument a. The return value is an angle in the range [0, PI] radians.
Parameters:
[in] a = Input float
Returns:
Resultant float
Special Cases:
  • If a is not in the range [-1, 1], the return value is NaN (Not a Number).
  • If a is NaN, the return value is NaN.
See also:
  • acosdp_i
  • acosdp_v
Implementation Notes:
  • The code supports both big and little endian modes.

double acosdp ( double a )


MATHLIB: Acoshdp

Acoshdp

Detailed Description

Functions

double | acoshdp_c (double a)
double | acoshdp (double a)

Function Documentation

double acoshdp_c ( double a )

Description:
The acoshdp function returns the inverse hyperbolic cosine function of a real floating-point argument a.
Parameters:
[in] a = Input double
Returns:
Resultant double
Special Cases:
  • If a is greater than 1.7976931348623157e+308, the return value is 710.475860073944.
  • If a is smaller than 1.0, the return value is 0, the real part of the answer.
  • If a is NaN (Not a Number), the return value is NaN.
See also:
  • acoshdp_i
  • acoshdp_v
Implementation Notes:
  • The code supports both big and little endian modes.

double acoshdp ( double a )


MATHLIB: Acoshsp

Acoshsp

Detailed Description

Functions

float | acoshsp_c (float a)
float | acoshsp (float a)

Function Documentation

float acoshsp_c ( float a )

Description:
The acoshsp function returns the inverse hyperbolic cosine function of a real floating-point argument a. For inputs smaller than 1 the return value is NaN (Not a Number).
Parameters:
[in] a = Input float
Returns:
Resultant float
Special Cases:
  • If a is greater than 3.402823e+38, the return value is 89.41599.
  • If a is smaller than 1.0, the return value is 0, the real part of the answer.
  • If a is NaN (Not a Number), the return value is NaN.
See also:
  • acoshsp_i
  • acoshsp_v
Implementation Notes:
  • The code supports both big and little endian modes.

float acoshsp ( float a )


MATHLIB: Acossp

Acossp

Detailed Description

Functions

float | acossp_c (float a)
float | acossp (float a)

Function Documentation

float acossp_c ( float a )

Description:
The acossp function returns the arc cosine of a floating-point argument a. The return value is an angle in the range [0, PI] radians.
Parameters:
[in] a = Input float
Returns:
Resultant float
Special Cases:
  • If a is not in the range [-1, 1], the return value is NaN (Not a Number).
  • If a is NaN, the return value is NaN.
See also:
  • acossp_i
  • acossp_v
Implementation Notes:
  • The code supports both big and little endian modes.

float acossp ( float a )


MATHLIB: Asindp

Asindp

Detailed Description

Functions

double | asindp_c (double a)
double | asindp (double a)

Function Documentation

double asindp_c ( double a )

Description:
The asindp function returns the arc sine of a floating-point argument a. The return value is an angle in the range [-PI/2, PI/2] radians.
Parameters:
[in] a = Input float
Returns:
Resultant float
Special Cases:
  • If a is not in the range [-1, 1], the return value is NaN (Not a Number).
  • If a is NaN, the return value is NaN.
See also:
  • asindp_i
  • asindp_v
Implementation Notes:
  • The code supports both big and little endian modes.

double asindp ( double a )


MATHLIB: Asinhdp

Asinhdp

Detailed Description

Functions

double | asinhdp_c (double a)
double | asinhdp (double a)

Function Documentation

double asinhdp_c ( double a )

Description:
The asinhdp function returns the inverse hyperbolic sine function of a real floating-point argument a.
Parameters:
[in] a = Input double
Returns:
Resultant double
Special Cases:
  • If a is greater than 1.7976931348623157e+308, the return value is 710.475860073944.
  • If a is smaller than -1.7976931348623157e+308, the return value is -710.475860073944.
  • If a is NaN (Not a Number), the return value is NaN.

See also:
  • asinhdp_i
  • asinhdp_v
Implementation Notes:
  • The code supports both big and little endian modes.

double asinhdp ( double a )


MATHLIB: Asinhsp

Asinhsp

Detailed Description

Functions

float | asinhsp_c (float a)
float | asinhsp (float a)

Function Documentation

float asinhsp_c ( float a )

Description:
The asinhsp function returns the inverse hyperbolic sine function of a real floating-point argument a.
Parameters:
[in] a = Input float
Returns:
Resultant float
Special Cases:
  • If a is greater than 3.402823e+38, the return value is 89.41599.
  • If a is smaller than -3.402823e+38, the return value is -89.41599.
  • If a is NaN (Not a Number), the return value is NaN.
See also:
  • asinhsp_i
  • asinhsp_v
Implementation Notes:
  • The code supports both big and little endian modes.

float asinhsp ( float a )


MATHLIB: Asinsp

Asinsp

Detailed Description

Functions

float | asinsp_c (float a)
float | asinsp (float a)

Function Documentation

float asinsp_c ( float a )

Description:
The asinsp function returns the arc sine of a floating-point argument a. The return value is an angle in the range [-PI/2, PI/2] radians.
Parameters:
[in] a = Input float
Returns:
Resultant float
Special Cases:
  • If a is not in the range [-1, 1], the return value is NaN (Not a Number).
  • If a is NaN, the return value is NaN.
See also:
  • asinsp_i
  • asinsp_v
Implementation Notes:
  • The code supports both big and little endian modes.

float asinsp ( float a )


MATHLIB: Atan2dp

Atan2dp

Detailed Description

Functions

double | atan2dp (double a, double b)
double | atan2dp_c (double a, double b)

Function Documentation

double atan2dp | ( | double | a,
 |  | double | b
 | ) |  |

Description:
The atan2dp function returns the arc tangent of a floating-point argument a/b. The return value is an angle in the range [-PI/2, PI/2] radians.
Parameters:
[in] | a | = Input double
[in] | b | = Input double
Returns:
Resultant double
Special Cases:
  • If a or b is NaN (Not a Number), the return value may be random.
  • If | a/b | < 1.49e-8, then the return value is a/b for small angles.
See also:
  • atan2dp_i
  • atan2dp_v
Implementation Notes:
  • The code supports both big and little endian modes.

double atan2dp_c | ( | double | a,
 |  | double | b
 | ) |  |


MATHLIB: Atan2sp

Atan2sp

Detailed Description

Functions

float | atan2sp (float a, float b)
float | atan2sp_c (float a, float b)

Function Documentation

float atan2sp | ( | float | a,
 |  | float | b
 | ) |  |

Description:
The atan2sp function returns the arc tangent of a floating-point argument a/b. The return value is an angle in the range [-PI/2, PI/2] radians.
Parameters:
[in] | a | = Input float
[in] | b | = Input float
Returns:
Resultant float
Special Cases:
  • If a or b is NaN (Not a Number), the return value may be random.
  • If | a/b | < 2.44e-4, then the return value is a/b for small angles.
See also:
  • atan2sp_i
  • atan2sp_v
Implementation Notes:
  • The code supports both big and little endian modes.

float atan2sp_c | ( | float | a,
 |  | float | b
 | ) |  |


MATHLIB: Atandp

Atandp

Detailed Description

Functions

double | atandp (double a)
double | atandp_c (double a)

Function Documentation

double atandp ( double a )

Description:
The atandp function returns the arc tangent of a floating-point argument a. The return value is an angle in the range [-PI/2, PI/2] radians.
Parameters:
[in] a = Input double
Returns:
Resultant double
Special Cases:
  • If | a | < 1.49e-8, then the return value is a for small angles.
See also:
  • atandp_i
  • atandp_v
Implementation Notes:
  • The code supports both big and little endian modes.

double atandp_c ( double a )


MATHLIB: Atanhdp

Atanhdp

Detailed Description

Functions

double | atanhdp_c (double a)
double | atanhdp (double a)

Function Documentation

double atanhdp_c ( double a )

Description:
The atanhdp function returns the inverse hyperbolic tangent function of a real floating-point argument a. The input must be within the range [-1, 1].
Parameters:
[in] a = Input double
Returns:
Resultant double
Special Cases:
  • If a is not within the range [-1, 1], the return value is NaN (Not a Number).
  • If |a| = 1, the return value is is INF (infinity).
  • If a is NaN (Not a Number), the return value is NaN.
See also:
  • atanhdp_i
  • atanhdp_v
Implementation Notes:
  • The code supports both big and little endian modes.

double atanhdp ( double a )


MATHLIB: Atanhsp

Atanhsp

Detailed Description

Functions

float | atanhsp_c (float a)
float | atanhsp (float a)

Function Documentation

float atanhsp_c ( float a )

Description:
The atanhsp function returns the inverse hyperbolic tanget function of a real floating-point argument a. The input must be within the range [-1, 1].
Parameters:
[in] a = Input float
Returns:
Resultant float
Special Cases:
  • If a is not within the range [-1, 1], the return value is NaN (Not a Number).
  • If |a| = 1, the return value is is INF (infinity).
  • If a is NaN (Not a Number), the return value is NaN.
See also:
  • atanhsp_i
  • atanhsp_v
Implementation Notes:
  • The code supports both big and little endian modes.

float atanhsp ( float a )


MATHLIB: Atansp

Atansp

Detailed Description

Functions

float | atansp (float a)
float | atansp_c (float a)

Function Documentation

float atansp ( float a )

Description:
The atansp function returns the arc tangent of a floating-point argument a. The return value is an angle in the range [-PI/2, PI/2] radians.
Parameters:
[in] a = Input float
Returns:
Resultant float
Special Cases:
  • If | a | < 2.44e-4, then the return value is a for small angles.
See also:
  • atansp_i
  • atansp_v
Implementation Notes:
  • The code supports both big and little endian modes.

float atansp_c ( float a )


MATHLIB: Cosdp

Cosdp

Detailed Description

Functions

double | cosdp (double a)
double | cosdp_c (double a)

Function Documentation

double cosdp ( double a )

Description:
The cosdp function returns the cosine of a floating-point argument a. The angle a is expressed in radians. The return value is in the range of [-1.0 and +1.0]. An argument with a large magnitude may produce a result with little or no significance.
Parameters:
[in] a = Input double
Returns:
Resultant double
Special Cases:
  • If | a | > 1.0737e+9, then the return value is zero for large angles.
See also:
  • cosdp_i
  • cosdp_v
Implementation Notes:
  • The code supports both big and little endian modes.

double cosdp_c ( double a )


MATHLIB: Coshdp

Coshdp

Detailed Description

Functions

double | coshdp_c (double a)
double | coshdp (double a)

Function Documentation

double coshdp_c ( double a )

Description:
The coshdp function returns the hyperbolic cosine function of a real floating-point argument a. If the magnitude of a is too large, infinity is returned.
Parameters:
[in] a = Input double
Returns:
Resultant double
Special Cases:
  • If a > +710.475860073944, then the return value is INF
  • If a is NaN, the return value is NaN.
See also:
  • coshdp_i
  • coshdp_v
Implementation Notes:
  • The code supports both big and little endian modes.

double coshdp ( double a )


MATHLIB: Coshsp

Coshsp

Detailed Description

Functions

float | coshsp_c (float a)
float | coshsp (float a)

Function Documentation

float coshsp_c ( float a )

Description:
The coshsp function returns the hyperbolic cosine of a real floating-point argument a. If the magnitude of a is too large, infinity is returned.
Parameters:
[in] a = Input float
Returns:
Resultant float
Special Cases:
  • If a > +89.41598629, then the return value is INF (infinity).
  • If a is NaN, the return value is NaN.
See also:
  • coshsp_i
  • coshsp_v
Implementation Notes:
  • The code supports both big and little endian modes.

float coshsp ( float a )


MATHLIB: Cossp

Cossp

Detailed Description

Functions

float | cossp (float a)
float | cossp_c (float a)

Function Documentation

float cossp ( float a )

Description:
The cossp function returns the cosine of a floating-point argument a. The angle a is expressed in radians. The return value is in the range of [-1.0 and +1.0]. An argument with a large magnitude may produce a result with little or no significance.
Parameters:
[in] a = Input float
Returns:
Resultant float
Special Cases:
  • If | a | > 1.04858e+6, then the return value is zero for large angles.
See also:
  • cossp_i
  • cossp_v
Implementation Notes:
  • The code supports both big and little endian modes.

float cossp_c ( float a )


MATHLIB: Divdp

Divdp

Detailed Description

Functions

double | divdp (double a, double b)
double | divdp_c (double a, double b)

Function Documentation

double divdp | ( | double | a,
 |  | double | b
 | ) |  |

Description:
The divdp_v function returns the division function of a real floating-point argument a by b. The return value is the number resulting from a/b.
Parameters:
[in] | a | = Input double dividend
[in] | b | = Input double divisor
Returns:
Resultant double
Special Cases:
  • If | b | < 2.225e-308, then the return value is NaN.
See also:
  • divdp_i
  • divdp_v
Implementation Notes:
  • The code supports both big and little endian modes.

double divdp_c | ( | double | a,
 |  | double | b
 | ) |  |


MATHLIB: Divsp

Divsp

Detailed Description

Functions

float | divsp (float a, float b)
float | divsp_c (float a, float b)

Function Documentation

float divsp | ( | float | a,
 |  | float | b
 | ) |  |

Description:
The divsp_v function returns the division function of a real floating-point argument a by b. The return value is the number resulting from a/b.
Parameters:
[in] | a | = Input float dividend
[in] | b | = Input float divisor
Returns:
Resultant float
Special Cases:
  • If | b | < 1.1755e-38, then the return value is NaN.
See also:
  • divsp_i
  • divsp_v
Implementation Notes:
  • The code supports both big and little endian modes.

float divsp_c | ( | float | a,
 |  | float | b
 | ) |  |


MATHLIB: Exp2dp

Exp2dp

Detailed Description

Functions

double | exp2dp (double a)
double | exp2dp_c (double a)

Function Documentation

double exp2dp ( double a )

Description:
The exp2dp function returns the exponential function of a real floating-point argument a. The return value is the number 2 raised to the power a. If the magnitude of a is too large, the maximum double-precision floating-point number (1.797693e+308 = 2^1024) is returned.
Parameters:
[in] a = Input double
Returns:
Resultant double
Special Cases:
  • If | a | < 1.11e-16, then the return value is 1.0 for small arguments.
  • If a < -1022, then the return value is 0.0.
  • If a > +1024, then the return value is 1.797693e+308 = 2^1024 (maximum double-precision floating-point number).
See also:
  • exp2dp_i
  • exp2dp_v
Implementation Notes:
  • The code supports both big and little endian modes.

double exp2dp_c ( double a )


MATHLIB: Exp2sp

Exp2sp

Detailed Description

Functions

float | exp2sp (float a)
float | exp2sp_c (float a)

Function Documentation

float exp2sp ( float a )

Description:
The exp2sp function returns the exponential function of a real floating-point argument a. The return value is the number 2 raised to the power a. If the magnitude of a is too large, the maximum single-precision floating-point number (3.402823e+38 = 2^128) is returned.
Parameters:
[in] a = Input float
Returns:
Resultant float
Special Cases:
  • If a < -126, then the return value is 0.0.
  • If a > +128, then the return value is 3.402823e+38 (maximum single-precision floating-point number).
  • If a < -256, then the return value may be random for Asm implementation only.
See also:
  • exp2sp_i
  • exp2sp_v
Implementation Notes:
  • The code supports both big and little endian modes.

float exp2sp_c ( float a )


MATHLIB: Exp10dp

Exp10dp

Detailed Description

Functions

double | exp10dp (double a)
double | exp10dp_c (double a)

Function Documentation

double exp10dp ( double a )

Description:
The exp10dp function returns the exponential function of a real floating-point argument a. The return value is the number 10 raised to the power a. If the magnitude of a is too large, the maximum double-precision floating-point number (1.797693e+308 = 2^1024) is returned.
Parameters:
[in] a = Input double
Returns:
Resultant double
Special Cases:
  • If | a | < 3.34e-17, then the return value is 1.0 for small arguments.
  • If a < -307.6527, then the return value is 0.0.
  • If a > +308.2547, then the return value is 1.797693e+308 = 2^1024 (maximum double-precision floating-point number).
See also:
  • exp10dp_i
  • exp10dp_v
Implementation Notes:
  • The code supports both big and little endian modes.

double exp10dp_c ( double a )


MATHLIB: Exp10sp

Exp10sp

Detailed Description

Functions

float | exp10sp (float a)
float | exp10sp_c (float a)

Function Documentation

float exp10sp ( float a )

Description:
The exp10sp function returns the exponential function of a real floating-point argument a. The return value is the number 10 raised to the power a. If the magnitude of a is too large, the maximum single-precision floating-point number (3.402823e+38 = 2^128) is returned.
Parameters:
[in] a = Input float
Returns:
Resultant float
Special Cases:
  • If a > +38.5318, then the return value is 3.402823e+38 (maximum single-precision floating-point number).
  • If a < -37.9298, then the return value is 0.0.
  • If a < -256, then the return value may be random for Asm implementation only.
See also:
  • exp10sp_i
  • exp10sp_v
Implementation Notes:
  • The code supports both big and little endian modes.

float exp10sp_c ( float a )


MATHLIB: Expdp

Expdp

Detailed Description

Functions

double | expdp (double a)
double | expdp_c (double a)

Function Documentation

double expdp ( double a )

Description:
The expdp function returns the exponential function of a real floating-point argument a. The return value is the number e raised to power a. If the magnitude of a is too large, the maximum double-precision floating-point number (1.797693e+308 = 2^1024) is returned.
Parameters:
[in] a = Input double
Returns:
Resultant double
Special Cases:
  • If | a | < 7.69e-17, then the return value is 1.0 for small arguments.
  • If a < -708.3964, then the return value is 0.0.
  • If a > +709.7827, then the return value is 1.797693e+308 = 2^1024 (maximum double-precision floating-point number).
See also:
  • expdp_i
  • expdp_v
Implementation Notes:
  • The code supports both big and little endian modes.

double expdp_c ( double a )


MATHLIB: Expsp

Expsp

Detailed Description

Functions

float | expsp (float a)
float | expsp_c (float a)

Function Documentation

float expsp ( float a )

Description:
The expsp function returns the exponential function of a real floating-point argument a. The return value is the number e raised to power a. If the magnitude of a is too large, the maximum single-precision floating-point number (3.402823e+38 = 2^128) is returned.
Parameters:
[in] a = Input float
Returns:
Resultant float
Special Cases:
  • If a > +88.7228, then the return value is 3.402823e+38 = 2^128 (maximum single-precision floating-point number).
  • If a < -87.3365, then the return value is 0.0.
  • If a < -256, then the return value may be random for Asm implementation only.
See also:
  • expsp_i
  • expsp_v
Implementation Notes:
  • The code supports both big and little endian modes.

float expsp_c ( float a )


MATHLIB: Log2dp

Log2dp

Detailed Description

Functions

double | log2dp (double a)
double | log2dp_c (double a)

Function Documentation

double log2dp ( double a )

Description:
The log2dp function returns the logarithm function of a real floating-point argument a. The return value is the base 2 logarithmic value of a.
Parameters:
[in] a = Input double
Returns:
Resultant double
Special Cases:
  • If a is NaN (Not a Number), the return value may be random.
  • If a <= 0, the return value is -inf (Asm) or -1.8E308 (C/Inline/Vector).
See also:
  • log2dp_i
  • log2dp_v
Implementation Notes:
  • The code supports both big and little endian modes.

double log2dp_c ( double a )


MATHLIB: Log2sp

Log2sp

Detailed Description

Functions

float | log2sp (float a)
float | log2sp_c (float a)

Function Documentation

float log2sp ( float a )

Description:
The log2sp function returns the logarithm function of a real floating-point argument a. The return value is the base 2 logarithmic value of a.
Parameters:
[in] a = Input float
Returns:
Resultant float
Special Cases:
  • If a is Inf, the return value is 128.3998 (Asm) or 1024 (C/Inline/Vector).
See also:
  • log2sp_i
  • log2sp_v
Implementation Notes:
  • The code supports both big and little endian modes.

float log2sp_c ( float a )


MATHLIB: Log10dp

Log10dp

Detailed Description

Functions

double | log10dp (double a)
double | log10dp_c (double a)

Function Documentation

double log10dp ( double a )

Description:
The log10dp function returns the logarithm function of a real floating-point argument a. The return value is the base 10 logarithmic value of a.
Parameters:
[in] a = Input double
Returns:
Resultant double
Special Cases:
  • If a is NaN (Not a Number), the return value may be random.
  • If a <= 0, the return value is -7.8E307 (Asm) or -1.8E308 (C/Inline/Vector).
See also:
  • log10dp_i
  • log10dp_v
Implementation Notes:
  • The code supports both big and little endian modes.

double log10dp_c ( double a )


MATHLIB: Log10sp

Log10sp

Detailed Description

Functions

float | log10sp (float a)
float | log10sp_c (float a)

Function Documentation

float log10sp ( float a )

Description:
The log10sp function returns the logarithm function of a real floating-point argument a. The return value is the base 10 logarithmic value of a.
Parameters:
[in] a = Input float
Returns:
Resultant float
Special Cases:
  • If a is Inf, the return value is 38.65221 (Asm) or 308.2547 (C/Inline/Vector).
See also:
  • log10sp_i
  • log10sp_v
Implementation Notes:
  • The code supports both big and little endian modes.

float log10sp_c ( float a )


MATHLIB: Logdp

Logdp

Detailed Description

Functions

double | logdp (double a)
double | logdp_c (double a)

Function Documentation

double logdp ( double a )

Description:
The logdp function returns the logarithm function of a real floating-point argument a. The return value is the base e logarithmic value of a.
Parameters:
[in] a = Input double
Returns:
Resultant double
Special Cases:
  • If a is NaN (Not a Number), the return value may be random.
  • If a <= 0, the return value is -inf.
See also:
  • logdp_i
  • logdp_v
Implementation Notes:
  • The code supports both big and little endian modes.

double logdp_c ( double a )


MATHLIB: Logsp

Logsp

Detailed Description

Functions

float | logsp (float a)
float | logsp_c (float a)

Function Documentation

float logsp ( float a )

Description:
The logsp function returns the logarithm function of a real floating-point argument a. The return value is the base e logarithmic value of a.
Parameters:
[in] a = Input float
Returns:
Resultant float
Special Cases:
  • If a is Inf, the return value is 88.99999 (Asm) or 709.7827 (C/Inline/Vector).
See also:
  • logsp_i
  • logsp_v
Implementation Notes:
  • The code supports both big and little endian modes.

float logsp_c ( float a )


MATHLIB: Powdp

Powdp

Detailed Description

Functions

double | powdp (double a, double b)
double | powdp_c (double a, double b)

Function Documentation

double powdp | ( | double | a,
 |  | double | b
 | ) |  |

Description:
The powdp function returns the a power of b function. The return value is the number a^b.
Parameters:
[in] | a | = Input double Base
[in] | b | = Input double Power
Returns:
Resultant double
Special Cases:
  • If a or b is NaN (Not a Number), the return value may be random.
  • If a < 0, and b is not an integer value, then NaN is returned.
  • If a = 0, and b < 0, return value is 0 for Asm, Infinity for C/Inline/Vector.
  • If |a| = Inf, b < 0, return value is Inf for Asm, 0 for C/Inline/Vector.
See also:
  • powdp_i
  • powdp_v
Implementation Notes:
  • The code supports both big and little endian modes.

double powdp_c | ( | double | a,
 |  | double | b
 | ) |  |


MATHLIB: Powsp

Powsp

Detailed Description

Functions

float | powsp (float a, float b)
float | powsp_c (float a, float b)

Function Documentation

float powsp | ( | float | a,
 |  | float | b
 | ) |  |

Description:
The powsp function returns the a power of b function. The return value is the number a^b.
Parameters:
[in] | a | = Input float Base
[in] | b | = Input float Power
Returns:
Resultant float
Special Cases:
  • If a or b is NaN (Not a Number), the return value may be random.
  • If b = 0, return 1.0 (a is ignored).
  • If a < 0, and b is not an integer value, then NaN is returned.
  • If a = 0, and b < 0, return value is 0 for Asm, Infinity for C/Inline/Vector.
  • If |a| = Inf, b < 0, return value is Inf for Asm, 0 for C/Inline/Vector.
  • If a = b = 1.175494351E-38, return value is 0 for Asm, 1 for C/Inline/Vector.
See also:
  • powsp_i
  • powsp_v
Implementation Notes:
  • The code supports both big and little endian modes.

float powsp_c | ( | float | a,
 |  | float | b
 | ) |  |


MATHLIB: Recipdp

Recipdp

Detailed Description

Functions

double | recipdp (double a)
double | recipdp_c (double a)

Function Documentation

double recipdp ( double a )

Description:
The recipdp function returns the reciprocal function of a real floating-point argument a. The return value is the number reciprocal value of a.
Parameters:
[in] a = Input double
Returns:
Resultant double
Special Cases:
  • If a is NaN (Not a Number), the return value may be random.
  • If a is zero, the return value is NaN.
  • If | a | > 1.797693e+308 = 2^1024, the return value is zero.
See also:
  • recipdp_i
  • recipdp_v
Implementation Notes:
  • The code supports both big and little endian modes.

double recipdp_c ( double a )


MATHLIB: Recipsp

Recipsp

Detailed Description

Functions

float | recipsp (float a)
float | recipsp_c (float a)

Function Documentation

float recipsp ( float a )

Description:
The recipsp function returns the reciprocal function of a real floating-point argument a. The return value is the number reciprocal value of a.
Parameters:
[in] a = Input float
Returns:
Resultant float
Special Cases:
  • If a is NaN (Not a Number), the return value may be random.
  • If a is 0.0, the return value is NaN.
  • If |a| > 3.402823e+38 = 2^128, the return value is zero for large arguments.
See also:
  • recipsp_i
  • recipsp_v
Implementation Notes:
  • The code supports both big and little endian modes.

float recipsp_c ( float a )


MATHLIB: Rsqrtdp

Rsqrtdp

Detailed Description

Functions

double | rsqrtdp (double a)
double | rsqrtdp_c (double a)

Function Documentation

double rsqrtdp ( double a )

Description:
The rsqrtdp function returns the reciprocal square root function of a real floating-point argument a. The return value is the reciprocal value of the square root of a.
Parameters:
[in] a = Input double
Returns:
Resultant double
Special Cases:
  • If a <= 0, the return value is 8.99E307 for C/Inline/Vector and rsqrt(|a|) for Asm.
See also:
  • rsqrtdp_i
  • rsqrtdp_v
Implementation Notes:
  • The code supports both big and little endian modes.

double rsqrtdp_c ( double a )


MATHLIB: Rsqrtsp

Rsqrtsp

Detailed Description

Functions

float | rsqrtsp (float a)
float | rsqrtsp_c (float a)

Function Documentation

float rsqrtsp ( float a )

Description:
The rsqrtsp function returns the reciprocal square root function of a real floating-point argument a. The return value is the reciprocal value of the square root of a.
Parameters:
[in] a = Input float
Returns:
Resultant float
Special Cases:
  • If a <= 0, the return value is Inf for C/Inline/Vector.
  • If a <= 0, the return value is NaN or rsqrt(|a|) for Asm.
See also:
  • rsqrtsp_i
  • rsqrtsp_v
Implementation Notes:
  • The code supports both big and little endian modes.

float rsqrtsp_c ( float a )


MATHLIB: Sindp

Sindp

Detailed Description

Functions

double | sindp (double a)
double | sindp_c (double a)

Function Documentation

double sindp ( double a )

Description:
The sindp function returns the sine of a floating-point argument a. The angle a is expressed in radians. The return value is in the range of [-1.0 and +1.0]. An argument with a large magnitude may produce a result with little or no significance.
Parameters:
[in] a = Input double
Returns:
Resultant double
Special Cases:
  • If | a | < 9.536743e-7, the return value is W for small angles.
  • If | a | > 1.0737e+9, the return value is zero for large angles.
See also:
  • sindp_i
  • sindp_v
Implementation Notes:
  • The code supports both big and little endian modes.

double sindp_c ( double a )


MATHLIB: Sinhdp

Sinhdp

Detailed Description

Functions

double | sinhdp_c (double a)
double | sinhdp (double a)

Function Documentation

double sinhdp_c ( double a )

Description:
The sinhdp function returns the hyperbolic sine function of a real floating-point argument a. If the magnitude of a is too large, infinity is returned.
Parameters:
[in] a = Input double
Returns:
Resultant double
Special Cases:
  • If a > +710.475860073944, then the return value is INF
  • If a < -710.475860073944, then the return value is -INF.
See also:
  • sinhdp_i
  • sinhdp_v
Implementation Notes:
  • The code supports both big and little endian modes.

double sinhdp ( double a )


MATHLIB: Sinhsp

Sinhsp

Detailed Description

Functions

float | sinhsp_c (float a)
float | sinhsp (float a)

Function Documentation

float sinhsp_c ( float a )

Description:
The sinhsp function returns the hyperbolic sine of a real floating-point argument a. If the magnitude of a is too large, infinity is returned.
Parameters:
[in] a = Input float
Returns:
Resultant float
Special Cases:
  • If a > +89.41598629, then the return value is INF (infinity).
  • If a < -89.41598629, then the return value is -INF.
  • If a is NaN, the return value is NaN.
See also:
  • sinhsp_i
  • sinhsp_v
Implementation Notes:
  • The code supports both big and little endian modes.

float sinhsp ( float a )


MATHLIB: Sinsp

Sinsp

Detailed Description

Functions

float | sinsp (float a)
float | sinsp_c (float a)

Function Documentation

float sinsp ( float a )

Description:
The sinsp function returns the sine of a floating-point argument a. The angle a is expressed in radians. The return value is in the range of [-1.0 and +1.0]. An argument with a large magnitude may produce a result with little or no significance.
Parameters:
[in] a = Input float
Returns:
Resultant float
Special Cases:
  • If | a | < 2.44e-4, the return value is a for small angles.
  • If | a | > 1.04858e+6, the return value is zero for large angles.
See also:
  • sinsp_i
  • sinsp_v
Implementation Notes:
  • The code supports both big and little endian modes.

float sinsp_c ( float a )


MATHLIB: Sqrtdp

Sqrtdp

Detailed Description

Functions

double | sqrtdp (double a)
double | sqrtdp_c (double a)

Function Documentation

double sqrtdp ( double a )

Description:
The sqrtdp function returns the square root function of a real floating-point argument a. The return value is the square root value of a.
Parameters:
[in] a = Input double
Returns:
Resultant double
Special Cases:
  • If a <= 0, the return value is zero for C/Inline/Vector and rsqrt(|a|) for Asm.
See also:
  • sqrtdp_i
  • sqrtdp_v
Implementation Notes:
  • The code supports both big and little endian modes.

double sqrtdp_c ( double a )


MATHLIB: Sqrtsp

Sqrtsp

Detailed Description

Functions

float | sqrtsp (float a)
float | sqrtsp_c (float a)

Function Documentation

float sqrtsp ( float a )

Description:
The sqrtsp function returns the square root function of a real floating-point argument a. The return value is the square root value of a.
Parameters:
[in] a = Input float
Returns:
Resultant float
Special Cases:
  • If a <= 0, the return value is 0.0 for C/Inline/Vector.
  • If a <= 0, the return value is NaN or sqrt(|a|) for Asm.
See also:
  • sqrtsp_i
  • sqrtsp_v
Implementation Notes:
  • The code supports both big and little endian modes.

float sqrtsp_c ( float a )


MATHLIB: Tandp

Tandp

Detailed Description

Functions

double | tandp_c (double a)
double | tandp (double a)

Function Documentation

double tandp_c ( double a )

Description:
The tandp function returns the tangent of a floating-point argument a. An argument with a large magnitude may produce a result with little or no significance.
Parameters:
[in] a = Input double
Returns:
Resultant double
Special Cases:
  • If | a | > 4.0737e+6, the return value may have no significance for large angles.
See also:
  • tandp_i
  • tandp_v
Implementation Notes:
  • The code supports both big and little endian modes.

double tandp ( double a )


MATHLIB: Tanhdp

Tanhdp

Detailed Description

Functions

double | tanhdp_c (double a)
double | tanhdp (double a)

Function Documentation

double tanhdp_c ( double a )

Description:
The tanhdp function returns the hyperbolic tangent function of a real floating-point argument a. If |a| is larger than 19.0 the hyperbolic tangent function reaches a maximum of |1.0| for double-precision.
Parameters:
[in] a = Input float
Returns:
Resultant float
Special Cases:
  • If a > 19.0, then the return value is 1.0 (maximum output for the hyperbolic tangent).
  • If a < -19.0, then the return value is 1.0.
  • If a is NaN, the return value is NaN.
See also:
  • tanhdp_i
  • tanhdp_v
Implementation Notes:
  • The code supports both big and little endian modes.

double tanhdp ( double a )


MATHLIB: Tanhsp

Tanhsp

Detailed Description

Functions

float | tanhsp_c (float a)
float | tanhsp (float a)

Function Documentation

float tanhsp_c ( float a )

Description:
The tanhsp function returns the hyperbolic tangent function of a real floating-point argument a. If |a| is larger than 9 the hyperbolic tangent function reaches a maximum of |1.0| for single-precision.
Parameters:
[in] a = Input float
Returns:
Resultant float
Special Cases:
  • If a > 9.0, then the return value is 1.0 (maximum output for the hyperbolic tangent).
  • If a < -9.0, then the return value is 1.0.
  • If a is NaN, the return value is NaN.
See also:
  • tanhsp_i
  • tanhsp_v
Implementation Notes:
  • The code supports both big and little endian modes.

float tanhsp ( float a )


MATHLIB: Tansp

Tansp

Detailed Description

Functions

float | tansp_c (float a)
float | tansp (float a)

Function Documentation

float tansp_c ( float a )

Description:
The tansp function returns the tangent of a floating-point argument a. The angle a is expressed in radians. An argument with a large magnitude may produce a result with little or no significance.
Parameters:
[in] a = Input float
Returns:
Resultant float
Special Cases:
  • If | a | > 2.50e+5, the return value may have no significance for large angles.
  • If a is INF (infinity), the return value is NaN (Not a Number).
  • If a is NaN, the return value is NaN.
See also:
  • tansp_i
  • tansp_v
Implementation Notes:
  • The code supports both big and little endian modes.

float tansp ( float a )


MATHLIB: MATHLIB Function Reference

MATHLIB Function Reference

Release 3.1.2.1

Contents

  1. Introduction
  2. Modules
  3. Features and Benefits
  4. Functional Reference
    • Double Precision
    • Single Precision

Introduction

The Texas Instruments math library is an optimized floating-point math function library for C programmers using TI floating point devices. These routines are typically used in computationally intensive real-time applications where optimal execution speed is critical. By using these routines instead of the routines found in the existing run-time-support libraries, you can achieve execution speeds considerably faster without rewriting existing code. The MATHLIB library includes all floating-point math routines currently provided in existing run-time-support libraries. These new functions can be called with the current run-time-support library names or the new names included in the math library.

Modules

The rich set of software routines included in MATHLIB are organized into two categories:

  1. Single precision floating point
  2. Double precision floating point

Features and Benefits

  • Natural C Source Code
  • Optimized C code with Intrinsics
  • Hand-coded assembly-optimized routines
  • C-callable routines, which can be inlined and are fully compatible with the TMS320C6000 compiler
  • Routines which accept single sample or vector inputs
  • Provided functions are tested against C model and existing run-time-support functions
  • Benchmarks (cycle and code size)
  • The provided precompiled library was compiled using Code Generation Tools v7.4.2

Functional Reference

The following sections provide a detailed reference of all functions within MATHLIB. The functions are organized into the following two categories:

  • Double Precision
  • Single Precision


MATHLIB: log2dp.h File Reference

log2dp.h File Reference

Go to the source code of this file.

Defines

#define | LOG2DP_H_ 1

Functions

void | log2dp_v (const double a[], double output[], int size)

Define Documentation

#define LOG2DP_H_ 1

Definition at line 42 of file log2dp.h.

Function Documentation

void log2dp_v | ( | const double | a[],
 |  | double | output[],
 |  | int | size
 | ) |  |


MATHLIB: log2dp.h Source File

log2dp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* log2dp.h - Double Precision log base 2                                  */
00039 /* ======================================================================= */
00040
00041 #ifndef LOG2DP_H_
00042 #define LOG2DP_H_ 1
00043
00044 #if defined (_TMS320C6600)
00045 #include <ti/mathlib/src/log2dp/c66/log2dp.h>
00046 #include <ti/mathlib/src/log2dp/c66/log2dp_i.h>
00047 #elif defined (_TMS320C6740)
00048 #include <ti/mathlib/src/log2dp/c674/log2dp.h>
00049 #include <ti/mathlib/src/log2dp/c674/log2dp_i.h>
00050 #else
00051 #error invalid target
00052 #endif
00053
00054 /* Provide prototype for vector version */
00055 void log2dp_v (const double a[], double output[], int size);
00056
00057 #endif /* LOG2DP_H_ */
00058
00059 /* ======================================================================== */
00060 /*  End of file: log2dp.h                                                   */
00061 /* ======================================================================== */


MATHLIB: log2sp.h File Reference

log2sp.h File Reference

Go to the source code of this file.

Defines

#define | LOG2SP_H_ 1

Functions

void | log2sp_v (const float a[], float output[], int size)

Define Documentation

#define LOG2SP_H_ 1

Definition at line 42 of file log2sp.h.

Function Documentation

void log2sp_v | ( | const float | a[],
 |  | float | output[],
 |  | int | size
 | ) |  |


MATHLIB: log2sp.h Source File

log2sp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* log2sp.h - Single Precision log base 2                                  */
00039 /* ======================================================================= */
00040
00041 #ifndef LOG2SP_H_
00042 #define LOG2SP_H_ 1
00043
00044 #if defined (_TMS320C6600)
00045 #include <ti/mathlib/src/log2sp/c66/log2sp.h>
00046 #include <ti/mathlib/src/log2sp/c66/log2sp_i.h>
00047 #elif defined (_TMS320C6740)
00048 #include <ti/mathlib/src/log2sp/c674/log2sp.h>
00049 #include <ti/mathlib/src/log2sp/c674/log2sp_i.h>
00050 #else
00051 #error invalid target
00052 #endif
00053
00054 /* Provide prototype for vector version */
00055 void log2sp_v (const float a[], float output[], int size);
00056
00057 #endif /* LOG2SP_H_ */
00058
00059 /* ======================================================================== */
00060 /*  End of file: log2sp.h                                                   */
00061 /* ======================================================================== */


MATHLIB: log10dp.h File Reference

log10dp.h File Reference

Go to the source code of this file.

Defines

#define | LOG10DP_H_ 1

Functions

void | log10dp_v (const double a[], double output[], int size)

Define Documentation

#define LOG10DP_H_ 1

Definition at line 42 of file log10dp.h.

Function Documentation

void log10dp_v | ( | const double | a[],
 |  | double | output[],
 |  | int | size
 | ) |  |


MATHLIB: log10dp.h Source File

log10dp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* log10dp.h - Double Precision log base 10                                */
00039 /* ======================================================================= */
00040
00041 #ifndef LOG10DP_H_
00042 #define LOG10DP_H_ 1
00043
00044 #if defined (_TMS320C6600)
00045 #include <ti/mathlib/src/log10dp/c66/log10dp.h>
00046 #include <ti/mathlib/src/log10dp/c66/log10dp_i.h>
00047 #elif defined (_TMS320C6740)
00048 #include <ti/mathlib/src/log10dp/c674/log10dp.h>
00049 #include <ti/mathlib/src/log10dp/c674/log10dp_i.h>
00050 #else
00051 #error invalid target
00052 #endif
00053
00054 /* Provide prototype for vector version */
00055 void log10dp_v (const double a[], double output[], int size);
00056
00057 #endif /* LOG10DP_H_ */
00058
00059 /* ======================================================================== */
00060 /*  End of file: log10dp.h                                                  */
00061 /* ======================================================================== */


MATHLIB: log10sp.h File Reference

log10sp.h File Reference

Go to the source code of this file.

Defines

#define | LOG10SP_H_ 1

Functions

void | log10sp_v (const float a[], float output[], int size)

Define Documentation

#define LOG10SP_H_ 1

Definition at line 42 of file log10sp.h.

Function Documentation

void log10sp_v | ( | const float | a[],
 |  | float | output[],
 |  | int | size
 | ) |  |


MATHLIB: log10sp.h Source File

log10sp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* log10sp.h - Single Precision log base 10                                */
00039 /* ======================================================================= */
00040
00041 #ifndef LOG10SP_H_
00042 #define LOG10SP_H_ 1
00043
00044 #if defined (_TMS320C6600)
00045 #include <ti/mathlib/src/log10sp/c66/log10sp.h>
00046 #include <ti/mathlib/src/log10sp/c66/log10sp_i.h>
00047 #elif defined (_TMS320C6740)
00048 #include <ti/mathlib/src/log10sp/c674/log10sp.h>
00049 #include <ti/mathlib/src/log10sp/c674/log10sp_i.h>
00050 #else
00051 #error invalid target
00052 #endif
00053
00054 /* Provide prototype for vector version */
00055 void log10sp_v (const float a[], float output[], int size);
00056
00057 #endif /* LOG10SP_H_ */
00058
00059 /* ======================================================================== */
00060 /*  End of file: log10sp.h                                                  */
00061 /* ======================================================================== */


MATHLIB: logdp.h File Reference

logdp.h File Reference

Go to the source code of this file.

Defines

#define | LOGDP_H_ 1

Functions

void | logdp_v (const double a[], double output[], int size)

Define Documentation

#define LOGDP_H_ 1

Definition at line 42 of file logdp.h.

Function Documentation

void logdp_v | ( | const double | a[],
 |  | double | output[],
 |  | int | size
 | ) |  |


MATHLIB: logdp.h Source File

logdp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* logdp.h - Double Precision ln                                           */
00039 /* ======================================================================= */
00040
00041 #ifndef LOGDP_H_
00042 #define LOGDP_H_ 1
00043
00044 #if defined (_TMS320C6600)
00045 #include <ti/mathlib/src/logdp/c66/logdp.h>
00046 #include <ti/mathlib/src/logdp/c66/logdp_i.h>
00047 #elif defined (_TMS320C6740)
00048 #include <ti/mathlib/src/logdp/c674/logdp.h>
00049 #include <ti/mathlib/src/logdp/c674/logdp_i.h>
00050 #else
00051 #error invalid target
00052 #endif
00053
00054 /* Provide prototype for vector version */
00055 void logdp_v (const double a[], double output[], int size);
00056
00057 #endif /* LOGDP_H_ */
00058
00059 /* ======================================================================== */
00060 /*  End of file: logdp.h                                                    */
00061 /* ======================================================================== */


MATHLIB: logsp.h File Reference

logsp.h File Reference

Go to the source code of this file.

Defines

#define | LOGSP_H_ 1

Functions

void | logsp_v (const float a[], float output[], int size)

Define Documentation

#define LOGSP_H_ 1

Definition at line 42 of file logsp.h.

Function Documentation

void logsp_v | ( | const float | a[],
 |  | float | output[],
 |  | int | size
 | ) |  |


MATHLIB: logsp.h Source File

logsp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* logsp.h - Single Precision log                                          */
00039 /* ======================================================================= */
00040
00041 #ifndef LOGSP_H_
00042 #define LOGSP_H_ 1
00043
00044 #if defined (_TMS320C6600)
00045 #include <ti/mathlib/src/logsp/c66/logsp.h>
00046 #include <ti/mathlib/src/logsp/c66/logsp_i.h>
00047 #elif defined (_TMS320C6740)
00048 #include <ti/mathlib/src/logsp/c674/logsp.h>
00049 #include <ti/mathlib/src/logsp/c674/logsp_i.h>
00050 #else
00051 #error invalid target
00052 #endif
00053
00054 /* Provide prototype for vector version */
00055 void logsp_v (const float a[], float output[], int size);
00056
00057 #endif /* LOGSP_H_ */
00058
00059 /* ======================================================================== */
00060 /*  End of file: logsp.h                                                    */
00061 /* ======================================================================== */


MATHLIB: Module Index

MATHLIB Modules

Here is a list of all modules:
  • Atan2dp
  • Atan2sp
  • Atandp
  • Atansp
  • Cosdp
  • Cossp
  • Divdp
  • Divsp
  • Exp10dp
  • Exp10sp
  • Exp2dp
  • Exp2sp
  • Expdp
  • Expsp
  • Log10dp
  • Log10sp
  • Log2dp
  • Log2sp
  • Logdp
  • Logsp
  • Powdp
  • Powsp
  • Recipdp
  • Recipsp
  • Rsqrtdp
  • Rsqrtsp
  • Sindp
  • Sinsp
  • Sqrtdp
  • Sqrtsp
  • Asindp
  • Acosdp
  • Sinhdp
  • Sinhsp
  • Coshdp
  • Coshsp
  • Tandp
  • Tansp
  • Tanhdp
  • Tanhsp
  • Acoshdp
  • Acoshsp
  • Asinhdp
  • Asinhsp
  • Atanhdp
  • Acossp
  • Asinsp
  • Atanhsp


MATHLIB: powdp.h File Reference

powdp.h File Reference

Go to the source code of this file.

Defines

#define | POWDP_H_ 1

Functions

void | powdp_v (const double a[], const double b[], double output[], int size)

Define Documentation

#define POWDP_H_ 1

Definition at line 43 of file powdp.h.

Function Documentation

void powdp_v | ( | const double | a[],
 |  | const double | b[],
 |  | double | output[],
 |  | int | size
 | ) |  |


MATHLIB: powdp.h Source File

powdp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* powdp.h - double precision floating point raise to power                */
00039 /*              optimized hand ASM single sample                           */
00040 /* ======================================================================= */
00041
00042 #ifndef POWDP_H_
00043 #define POWDP_H_ 1
00044
00045 #if defined (_TMS320C6600)
00046 #include <ti/mathlib/src/powdp/c66/powdp.h>
00047 #include <ti/mathlib/src/powdp/c66/powdp_i.h>
00048 #elif defined (_TMS320C6740)
00049 #include <ti/mathlib/src/powdp/c674/powdp.h>
00050 #include <ti/mathlib/src/powdp/c674/powdp_i.h>
00051 #else
00052 #error invalid target
00053 #endif
00054
00055 /* Provide prototype for vector version */
00056 void powdp_v (const double a[], const double b[], double output[], int size);
00057
00058 #endif /* POWDP_H_ */
00059
00060 /* ======================================================================= */
00061 /*  End of file: powdp.h                                                   */
00062 /* ======================================================================= */


MATHLIB: powsp.h File Reference

powsp.h File Reference

Go to the source code of this file.

Defines

#define | POWSP_H_ 1

Functions

void | powsp_v (const float a[], const float b[], float output[], int size)

Define Documentation

#define POWSP_H_ 1

Definition at line 43 of file powsp.h.

Function Documentation

void powsp_v | ( | const float | a[],
 |  | const float | b[],
 |  | float | output[],
 |  | int | size
 | ) |  |


MATHLIB: powsp.h Source File

powsp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* powsp.h - single precision floating point raise to power                */
00039 /*              optimized hand ASM single sample                           */
00040 /* ======================================================================= */
00041
00042 #ifndef POWSP_H_
00043 #define POWSP_H_ 1
00044
00045 #if defined (_TMS320C6600)
00046 #include <ti/mathlib/src/powsp/c66/powsp.h>
00047 #include <ti/mathlib/src/powsp/c66/powsp_i.h>
00048 #elif defined (_TMS320C6740)
00049 #include <ti/mathlib/src/powsp/c674/powsp.h>
00050 #include <ti/mathlib/src/powsp/c674/powsp_i.h>
00051 #else
00052 #error invalid target
00053 #endif
00054
00055 /* Provide prototype for vector version */
00056 void powsp_v (const float a[], const float b[], float output[], int size);
00057
00058 #endif /* POWSP_H_ */
00059
00060 /* ======================================================================= */
00061 /*  End of file: powsp.h                                                   */
00062 /* ======================================================================= */


MATHLIB: recipdp.h File Reference

recipdp.h File Reference

Go to the source code of this file.

Defines

#define | RECIPDP_H_ 1

Functions

void | recipdp_v (const double a[], double output[], int size)

Define Documentation

#define RECIPDP_H_ 1

Definition at line 43 of file recipdp.h.

Function Documentation

void recipdp_v | ( | const double | a[],
 |  | double | output[],
 |  | int | size
 | ) |  |


MATHLIB: recipdp.h Source File

recipdp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* recipdp.h - double precision doubleing point reciprocal                 */
00039 /*              optimized hand ASM single sample                           */
00040 /* ======================================================================= */
00041
00042 #ifndef RECIPDP_H_
00043 #define RECIPDP_H_ 1
00044
00045 #if defined (_TMS320C6600)
00046 #include <ti/mathlib/src/recipdp/c66/recipdp.h>
00047 #include <ti/mathlib/src/recipdp/c66/recipdp_i.h>
00048 #elif defined (_TMS320C6740)
00049 #include <ti/mathlib/src/recipdp/c674/recipdp.h>
00050 #include <ti/mathlib/src/recipdp/c674/recipdp_i.h>
00051 #else
00052 #error invalid target
00053 #endif
00054
00055 /* Provide prototype for vector version */
00056 void recipdp_v (const double a[], double output[], int size);
00057
00058 #endif /* RECIPDP_H_ */
00059
00060 /* ======================================================================== */
00061 /*  End of file: recipdp.h                                                  */
00062 /* ======================================================================== */


MATHLIB: recipsp.h File Reference

recipsp.h File Reference

Go to the source code of this file.

Defines

#define | RECIPSP_H_ 1

Functions

void | recipsp_v (const float a[], float output[], int size)

Define Documentation

#define RECIPSP_H_ 1

Definition at line 43 of file recipsp.h.

Function Documentation

void recipsp_v | ( | const float | a[],
 |  | float | output[],
 |  | int | size
 | ) |  |


MATHLIB: recipsp.h Source File

recipsp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* recipsp.h - single precision floating point reciprocal                  */
00039 /*              optimized hand ASM single sample                           */
00040 /* ======================================================================= */
00041
00042 #ifndef RECIPSP_H_
00043 #define RECIPSP_H_ 1
00044
00045 #if defined (_TMS320C6600)
00046 #include <ti/mathlib/src/recipsp/c66/recipsp.h>
00047 #include <ti/mathlib/src/recipsp/c66/recipsp_i.h>
00048 #elif defined (_TMS320C6740)
00049 #include <ti/mathlib/src/recipsp/c674/recipsp.h>
00050 #include <ti/mathlib/src/recipsp/c674/recipsp_i.h>
00051 #else
00052 #error invalid target
00053 #endif
00054
00055 /* Provide prototype for vector version */
00056 void recipsp_v (const float a[], float output[], int size);
00057
00058 #endif /* RECIPSP_H_ */
00059
00060 /* ======================================================================== */
00061 /*  End of file: recipsp.h                                                  */
00062 /* ======================================================================== */


MATHLIB: rsqrtdp.h File Reference

rsqrtdp.h File Reference

Go to the source code of this file.

Defines

#define | RSQRTDP_H_ 1

Functions

void | rsqrtdp_v (const double a[], double output[], int size)

Define Documentation

#define RSQRTDP_H_ 1

Definition at line 43 of file rsqrtdp.h.

Function Documentation

void rsqrtdp_v | ( | const double | a[],
 |  | double | output[],
 |  | int | size
 | ) |  |


MATHLIB: rsqrtdp.h Source File

rsqrtdp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* rsqrtdp.h - double precision doubleing point recip sqrt                 */
00039 /*              optimized hand ASM single sample                           */
00040 /* ======================================================================= */
00041
00042 #ifndef RSQRTDP_H_
00043 #define RSQRTDP_H_ 1
00044
00045 #if defined (_TMS320C6600)
00046 #include <ti/mathlib/src/rsqrtdp/c66/rsqrtdp.h>
00047 #include <ti/mathlib/src/rsqrtdp/c66/rsqrtdp_i.h>
00048 #elif defined (_TMS320C6740)
00049 #include <ti/mathlib/src/rsqrtdp/c674/rsqrtdp.h>
00050 #include <ti/mathlib/src/rsqrtdp/c674/rsqrtdp_i.h>
00051 #else
00052 #error invalid target
00053 #endif
00054
00055 /* Provide prototype for vector version */
00056 void rsqrtdp_v (const double a[], double output[], int size);
00057
00058 #endif /* RSQRTDP_H_ */
00059
00060 /* ======================================================================== */
00061 /*  End of file: rsqrtdp.h                                                  */
00062 /* ======================================================================== */


MATHLIB: rsqrtsp.h File Reference

rsqrtsp.h File Reference

Go to the source code of this file.

Defines

#define | RSQRTSP_H_ 1

Functions

void | rsqrtsp_v (const float a[], float output[], int size)

Define Documentation

#define RSQRTSP_H_ 1

Definition at line 43 of file rsqrtsp.h.

Function Documentation

void rsqrtsp_v | ( | const float | a[],
 |  | float | output[],
 |  | int | size
 | ) |  |


MATHLIB: rsqrtsp.h Source File

rsqrtsp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* rsqrtsp.h - single precision floating point reciprocal sqrt             */
00039 /*              optimized hand ASM single sample                           */
00040 /* ======================================================================= */
00041
00042 #ifndef RSQRTSP_H_
00043 #define RSQRTSP_H_ 1
00044
00045 #if defined (_TMS320C6600)
00046 #include <ti/mathlib/src/rsqrtsp/c66/rsqrtsp.h>
00047 #include <ti/mathlib/src/rsqrtsp/c66/rsqrtsp_i.h>
00048 #elif defined (_TMS320C6740)
00049 #include <ti/mathlib/src/rsqrtsp/c674/rsqrtsp.h>
00050 #include <ti/mathlib/src/rsqrtsp/c674/rsqrtsp_i.h>
00051 #else
00052 #error invalid target
00053 #endif
00054
00055 /* Provide prototype for vector version */
00056 void rsqrtsp_v (const float a[], float output[], int size);
00057
00058 #endif /* RSQRTSP_H_ */
00059
00060 /* ======================================================================== */
00061 /*  End of file: rsqrtsp.h                                                  */
00062 /* ======================================================================== */


MATHLIB: sindp.h File Reference

sindp.h File Reference

Go to the source code of this file.

Defines

#define | SINDP_H_ 1

Functions

void | sindp_v (const double a[], double output[], int size)

Define Documentation

#define SINDP_H_ 1

Definition at line 43 of file sindp.h.

Function Documentation

void sindp_v | ( | const double | a[],
 |  | double | output[],
 |  | int | size
 | ) |  |


MATHLIB: sindp.h Source File

sindp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* sindp.h - double precision floating point sine                          */
00039 /*              optimized hand ASM single sample                           */
00040 /* ======================================================================= */
00041
00042 #ifndef SINDP_H_
00043 #define SINDP_H_ 1
00044
00045 #if defined (_TMS320C6600)
00046 #include <ti/mathlib/src/sindp/c66/sindp.h>
00047 #include <ti/mathlib/src/sindp/c66/sindp_i.h>
00048 #elif defined (_TMS320C6740)
00049 #include <ti/mathlib/src/sindp/c674/sindp.h>
00050 #include <ti/mathlib/src/sindp/c674/sindp_i.h>
00051 #else
00052 #error invalid target
00053 #endif
00054
00055 /* Provide prototype for vector version */
00056 void sindp_v (const double a[], double output[], int size);
00057
00058 #endif /* SINDP_H_ */
00059
00060 /* ======================================================================== */
00061 /*  End of file: sindp.h                                                    */
00062 /* ======================================================================== */


MATHLIB: Single Precision

MATHLIB Function Reference

Single Precision

This section provides a description of the functions that are single precision.

Single Precision Functions

The routines included in the Math library are provided as both single- and double-precision versions. SP is used to identify the single-precision functions.

  • Acoshsp
  • Acossp
  • Asinhsp
  • Asinsp
  • Atan2sp
  • Atanhsp
  • Atansp
  • Coshsp
  • Cossp
  • Divsp
  • Exp10sp
  • Exp2sp
  • Expsp
  • Log10sp
  • Log2sp
  • Logsp
  • Powsp
  • Recipsp
  • Rsqrtsp
  • Sinhsp
  • Sinsp
  • Sqrtsp
  • Tanhdp
  • Tandp


MATHLIB: sinhdp.h File Reference

sinhdp.h File Reference

Go to the source code of this file.

Defines

#define | SINHDP_H_ 1

Functions

void | sinhdp_v (const double a[], double output[], int size)

Define Documentation

#define SINHDP_H_ 1

Definition at line 42 of file sinhdp.h.

Function Documentation

void sinhdp_v | ( | const double | a[],
 |  | double | output[],
 |  | int | size
 | ) |  |


MATHLIB: sinhdp.h Source File

sinhdp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* sinhdp.h - Double precision hyperbolic sine                             */
00039 /* ======================================================================= */
00040
00041 #ifndef SINHDP_H_
00042 #define SINHDP_H_ 1
00043
00044 #if defined (_TMS320C6600)
00045 #include <ti/mathlib/src/sinhdp/c66/sinhdp.h>
00046 #include <ti/mathlib/src/sinhdp/c66/sinhdp_i.h>
00047 #elif defined (_TMS320C6740)
00048 #include <ti/mathlib/src/sinhdp/c674/sinhdp.h>
00049 #include <ti/mathlib/src/sinhdp/c674/sinhdp_i.h>
00050 #else
00051 #error invalid target
00052 #endif
00053
00054 /* Provide prototype for vector version */
00055 void sinhdp_v (const double a[], double output[], int size);
00056
00057 #endif /* SINHDP_H_ */
00058
00059 /* ======================================================================== */
00060 /*  End of file: sinhdp.h                                                   */
00061 /* ======================================================================== */


MATHLIB: sinhsp.h File Reference

sinhsp.h File Reference

Go to the source code of this file.

Defines

#define | SINHSP_H_ 1

Functions

void | sinhsp_v (const float a[], float output[], int size)

Define Documentation

#define SINHSP_H_ 1

Definition at line 42 of file sinhsp.h.

Function Documentation

void sinhsp_v | ( | const float | a[],
 |  | float | output[],
 |  | int | size
 | ) |  |


MATHLIB: sinhsp.h Source File

sinhsp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* sinhsp.h - Single Precision Hyperbolic Sine                             */
00039 /* ======================================================================= */
00040
00041 #ifndef SINHSP_H_
00042 #define SINHSP_H_ 1
00043
00044 #if defined (_TMS320C6600)
00045 #include <ti/mathlib/src/sinhsp/c66/sinhsp.h>
00046 #include <ti/mathlib/src/sinhsp/c66/sinhsp_i.h>
00047 #elif defined (_TMS320C6740)
00048 #include <ti/mathlib/src/sinhsp/c674/sinhsp.h>
00049 #include <ti/mathlib/src/sinhsp/c674/sinhsp_i.h>
00050 #else
00051 #error invalid target
00052 #endif
00053
00054 /* Provide prototype for vector version */
00055 void sinhsp_v (const float a[], float output[], int size);
00056
00057
00058 #endif /* SINHSP_H_ */
00059
00060 /* ======================================================================== */
00061 /*  End of file: sinhsp.h                                                    */
00062 /* ======================================================================== */


MATHLIB: sinsp.h File Reference

sinsp.h File Reference

Go to the source code of this file.

Defines

#define | SINSP_H_ 1

Functions

void | sinsp_v (const float a[], float output[], int size)

Define Documentation

#define SINSP_H_ 1

Definition at line 43 of file sinsp.h.

Function Documentation

void sinsp_v | ( | const float | a[],
 |  | float | output[],
 |  | int | size
 | ) |  |


MATHLIB: sinsp.h Source File

sinsp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* sinsp.h - single precision floating point sine                          */
00039 /*              optimized hand ASM single sample                           */
00040 /* ======================================================================= */
00041
00042 #ifndef SINSP_H_
00043 #define SINSP_H_ 1
00044
00045 #if defined (_TMS320C6600)
00046 #include <ti/mathlib/src/sinsp/c66/sinsp.h>
00047 #include <ti/mathlib/src/sinsp/c66/sinsp_i.h>
00048 #elif defined (_TMS320C6740)
00049 #include <ti/mathlib/src/sinsp/c674/sinsp.h>
00050 #include <ti/mathlib/src/sinsp/c674/sinsp_i.h>
00051 #else
00052 #error invalid target
00053 #endif
00054
00055 /* Provide prototype for vector version */
00056 void sinsp_v (const float a[], float output[], int size);
00057
00058 #endif /* SINSP_H_ */
00059
00060 /* ======================================================================= */
00061 /*  End of file: sinsp.h                                                   */
00062 /* ======================================================================= */


MATHLIB: sqrtdp.h File Reference

sqrtdp.h File Reference

Go to the source code of this file.

Defines

#define | SQRTDP_H_ 1

Functions

void | sqrtdp_v (const double a[restrict], double output[restrict], int size)

Define Documentation

#define SQRTDP_H_ 1

Definition at line 43 of file sqrtdp.h.

Function Documentation

void sqrtdp_v | ( | const double | a[restrict],
 |  | double | output[restrict],
 |  | int | size
 | ) |  |


MATHLIB: sqrtdp.h Source File

sqrtdp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* sqrtdp.h - double precision floating point sqrt                         */
00039 /*              optimized hand ASM single sample                           */
00040 /* ======================================================================= */
00041
00042 #ifndef SQRTDP_H_
00043 #define SQRTDP_H_ 1
00044
00045 #if defined (_TMS320C6600)
00046 #include <ti/mathlib/src/sqrtdp/c66/sqrtdp.h>
00047 #include <ti/mathlib/src/sqrtdp/c66/sqrtdp_i.h>
00048 #elif defined (_TMS320C6740)
00049 #include <ti/mathlib/src/sqrtdp/c674/sqrtdp.h>
00050 #include <ti/mathlib/src/sqrtdp/c674/sqrtdp_i.h>
00051 #else
00052 #error invalid target
00053 #endif
00054
00055 /* Provide prototype for vector version */
00056 void sqrtdp_v (const double a[restrict], double output[restrict], int size);
00057
00058 #endif /* SQRTDP_H_ */
00059
00060 /* ======================================================================== */
00061 /*  End of file: sqrtdp.h                                                   */
00062 /* ======================================================================== */


MATHLIB: sqrtsp.h File Reference

sqrtsp.h File Reference

Go to the source code of this file.

Defines

#define | SQRTSP_H_ 1

Functions

void | sqrtsp_v (const float a[], float output[], int size)

Define Documentation

#define SQRTSP_H_ 1

Definition at line 43 of file sqrtsp.h.

Function Documentation

void sqrtsp_v | ( | const float | a[],
 |  | float | output[],
 |  | int | size
 | ) |  |


MATHLIB: sqrtsp.h Source File

sqrtsp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* sqrtsp.h - single precision floating point sqrt                         */
00039 /*              optimized hand ASM single sample                           */
00040 /* ======================================================================= */
00041
00042 #ifndef SQRTSP_H_
00043 #define SQRTSP_H_ 1
00044
00045 #if defined (_TMS320C6600)
00046 #include <ti/mathlib/src/sqrtsp/c66/sqrtsp.h>
00047 #include <ti/mathlib/src/sqrtsp/c66/sqrtsp_i.h>
00048 #elif defined (_TMS320C6740)
00049 #include <ti/mathlib/src/sqrtsp/c674/sqrtsp.h>
00050 #include <ti/mathlib/src/sqrtsp/c674/sqrtsp_i.h>
00051 #else
00052 #error invalid target
00053 #endif
00054
00055 /* Provide prototype for vector version */
00056 void sqrtsp_v (const float a[], float output[], int size);
00057
00058 #endif /* SQRTSP_H_ */
00059
00060
00061 /* ======================================================================== */
00062 /*  End of file: sqrtsp.h                                                   */
00063 /* ======================================================================== */


MATHLIB: tandp.h File Reference

tandp.h File Reference

Go to the source code of this file.

Defines

#define | TANDP_H_ 1

Functions

void | tandp_v (const double a[], double output[], int size)

Define Documentation

#define TANDP_H_ 1

Definition at line 43 of file tandp.h.

Function Documentation

void tandp_v | ( | const double | a[],
 |  | double | output[],
 |  | int | size
 | ) |  |


MATHLIB: tandp.h Source File

tandp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* tandp.h - double precision floating point tangent                       */
00039 /*              optimized hand ASM single sample                           */
00040 /* ======================================================================= */
00041
00042 #ifndef TANDP_H_
00043 #define TANDP_H_ 1
00044
00045 #if defined (_TMS320C6600)
00046 #include <ti/mathlib/src/tandp/c66/tandp.h>
00047 #include <ti/mathlib/src/tandp/c66/tandp_i.h>
00048 #elif defined (_TMS320C6740)
00049 #include <ti/mathlib/src/tandp/c674/tandp.h>
00050 #include <ti/mathlib/src/tandp/c674/tandp_i.h>
00051 #else
00052 #error invalid target
00053 #endif
00054
00055 /* Provide prototype for vector version */
00056 void tandp_v (const double a[], double output[], int size);
00057
00058 #endif /* TANDP_H_ */
00059
00060 /* ======================================================================== */
00061 /*  End of file: tandp.h                                                    */
00062 /* ======================================================================== */


MATHLIB: tanhdp.h File Reference

tanhdp.h File Reference

Go to the source code of this file.

Defines

#define | TANHDP_H_ 1

Functions

void | tanhdp_v (const double a[], double output[], int size)

Define Documentation

#define TANHDP_H_ 1

Definition at line 42 of file tanhdp.h.

Function Documentation

void tanhdp_v | ( | const double | a[],
 |  | double | output[],
 |  | int | size
 | ) |  |


MATHLIB: tanhdp.h Source File

tanhdp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* tanhdp.h - Double Precision Hyperbolic Tangent                          */
00039 /* ======================================================================= */
00040
00041 #ifndef TANHDP_H_
00042 #define TANHDP_H_ 1
00043
00044 #if defined (_TMS320C6600)
00045 #include <ti/mathlib/src/tanhdp/c66/tanhdp.h>
00046 #include <ti/mathlib/src/tanhdp/c66/tanhdp_i.h>
00047 #elif defined (_TMS320C6740)
00048 #include <ti/mathlib/src/tanhdp/c674/tanhdp.h>
00049 #include <ti/mathlib/src/tanhdp/c674/tanhdp_i.h>
00050 #else
00051 #error invalid target
00052 #endif
00053
00054 /* Provide prototype for vector version */
00055 void tanhdp_v (const double a[], double output[], int size);
00056
00057 #endif /* TANHDP_H_ */
00058
00059 /* ======================================================================== */
00060 /*  End of file: tanhdp.h                                                   */
00061 /* ======================================================================== */


MATHLIB: tanhsp.h File Reference

tanhsp.h File Reference

Go to the source code of this file.

Defines

#define | TANHSP_H_ 1

Functions

void | tanhsp_v (const float a[], float output[], int size)

Define Documentation

#define TANHSP_H_ 1

Definition at line 42 of file tanhsp.h.

Function Documentation

void tanhsp_v | ( | const float | a[],
 |  | float | output[],
 |  | int | size
 | ) |  |


MATHLIB: tanhsp.h Source File

tanhsp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* tanhsp.h - Single Precision Hyperbolic Tangent                          */
00039 /* ======================================================================= */
00040
00041 #ifndef TANHSP_H_
00042 #define TANHSP_H_ 1
00043
00044 #if defined (_TMS320C6600)
00045 #include <ti/mathlib/src/tanhsp/c66/tanhsp.h>
00046 #include <ti/mathlib/src/tanhsp/c66/tanhsp_i.h>
00047 #elif defined (_TMS320C6740)
00048 #include <ti/mathlib/src/tanhsp/c674/tanhsp.h>
00049 #include <ti/mathlib/src/tanhsp/c674/tanhsp_i.h>
00050 #else
00051 #error invalid target
00052 #endif
00053
00054 /* Provide prototype for vector version */
00055 void tanhsp_v (const float a[], float output[], int size);
00056
00057 #endif /* TANHSP_H_ */
00058
00059 /* ======================================================================== */
00060 /*  End of file: tanhsp.h                                                   */
00061 /* ======================================================================== */


MATHLIB: tansp.h File Reference

tansp.h File Reference

Go to the source code of this file.

Defines

#define | TANSP_H_ 1

Functions

void | tansp_v (const float a[], float output[], int size)

Define Documentation

#define TANSP_H_ 1

Definition at line 42 of file tansp.h.

Function Documentation

void tansp_v | ( | const float | a[],
 |  | float | output[],
 |  | int | size
 | ) |  |


MATHLIB: tansp.h Source File

tansp.h

Go to the documentation of this file.
00001 /* ======================================================================== *
00002  * MATHLIB -- TI Floating-Point Math Function Library                       *
00003  *                                                                          *
00004  *                                                                          *
00005  * Copyright (C) 2011 Texas Instruments Incorporated - http://www.ti.com/   *
00006  *                                                                          *
00007  *                                                                          *
00008  *  Redistribution and use in source and binary forms, with or without      *
00009  *  modification, are permitted provided that the following conditions      *
00010  *  are met:                                                                *
00011  *                                                                          *
00012  *    Redistributions of source code must retain the above copyright        *
00013  *    notice, this list of conditions and the following disclaimer.         *
00014  *                                                                          *
00015  *    Redistributions in binary form must reproduce the above copyright     *
00016  *    notice, this list of conditions and the following disclaimer in the   *
00017  *    documentation and/or other materials provided with the                *
00018  *    distribution.                                                         *
00019  *                                                                          *
00020  *    Neither the name of Texas Instruments Incorporated nor the names of   *
00021  *    its contributors may be used to endorse or promote products derived   *
00022  *    from this software without specific prior written permission.         *
00023  *                                                                          *
00024  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
00025  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
00026  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
00027  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
00028  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
00029  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
00030  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
00031  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
00032  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
00033  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
00034  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
00035  * ======================================================================== */
00036
00037 /* ======================================================================= */
00038 /* tansp.h - single precision floating point tangent                       */
00039 /* ======================================================================= */
00040
00041 #ifndef TANSP_H_
00042 #define TANSP_H_ 1
00043
00044 #if defined (_TMS320C6600)
00045 #include <ti/mathlib/src/tansp/c66/tansp.h>
00046 #include <ti/mathlib/src/tansp/c66/tansp_i.h>
00047 #elif defined (_TMS320C6740)
00048 #include <ti/mathlib/src/tansp/c674/tansp.h>
00049 #include <ti/mathlib/src/tansp/c674/tansp_i.h>
00050 #else
00051 #error invalid target
00052 #endif
00053
00054 /* Provide prototype for vector version */
00055 void tansp_v (const float a[], float output[], int size);
00056
00057 #endif /* TANSP_H_ */
00058
00059 /* ======================================================================== */
00060 /*  End of file: tansp.h                                                   */
00061 /* ======================================================================== */